(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[     47532,       1134]
NotebookOptionsPosition[     46769,       1098]
NotebookOutlinePosition[     47134,       1114]
CellTagsIndexPosition[     47091,       1111]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Implied volatility expansion for the CEV model\
\>", "Section",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.597959818770582*^9, 3.597959888695898*^9}, {
   3.598691843796198*^9, 3.598691878784575*^9}, {3.598692123374341*^9, 
   3.598692149185072*^9}, {3.598695685015595*^9, 3.598695691334046*^9}, 
   3.598697015690859*^9, {3.598697566849069*^9, 3.598697567706442*^9}, {
   3.598982961426049*^9, 3.598982962721182*^9}, {3.5991317618057747`*^9, 
   3.599131764686119*^9}, {3.5995682782076883`*^9, 3.599568284377194*^9}, {
   3.599646720922594*^9, 3.599646721596258*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Disclaimer", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}},
 TextAlignment->Center],

Cell["\<\
Date: 25/01/2014

This file was created by: Matthew Lorig, Stefano Pagliarani and Andrea \
Pascucci.

These Mathematica notebooks are provided on an \[OpenCurlyDoubleQuote]as is\
\[CloseCurlyDoubleQuote] basis without warranty of any kind, express or \
implied. Under no circumstances and under no legal theory, whether in tort, \
contract, or otherwise, shall the authors be liable to you or to any other \
person for any indirect, special, incidental, or consequential damages or \
losses. If you do not agree with these terms, then you are advised to not use \
the notebooks.

Please do no redistribute these notebooks.  If you wish to endorse the \
notebooks, then please link to the web-pages of the authors:
http://www.princeton.edu/~mlorig/
http://www.math.unipd.it/~stefanop/
http://www.dm.unibo.it/~pascucci/\
\>", "Text",
 CellChangeTimes->{{3.5127369954359856`*^9, 3.512737125359417*^9}, {
   3.5127371655637164`*^9, 3.5127371663597617`*^9}, {3.512814058730217*^9, 
   3.512814058891226*^9}, 3.526199505602*^9, 3.5268335032155323`*^9, {
   3.5272388928125*^9, 3.527238893671875*^9}, {3.5804506352987995`*^9, 
   3.580450646016018*^9}, 3.5804510585431423`*^9, 3.5804621638150606`*^9, {
   3.5807902968427057`*^9, 3.580790297139106*^9}, {3.590203507604435*^9, 
   3.590203507894435*^9}, {3.599580220348298*^9, 3.599580226144642*^9}}]
}, Open  ]],

Cell["The model:", "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}}],

Cell[BoxData[
 RowBox[{"      ", 
  RowBox[{
   RowBox[{
    StyleBox[
     FormBox[
      RowBox[{
       FormBox[
        RowBox[{
         RowBox[{"d", " ", 
          SubscriptBox["S", "t"]}], "=", 
         RowBox[{
          RowBox[{"r", " ", 
           SubscriptBox["S", "t"], "dt"}], "+", " ", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], " ", 
           SubsuperscriptBox["S", "t", "\[Beta]"], 
           SubscriptBox["dW", "t"]}]}]}],
        TraditionalForm], ",", "        ", 
       RowBox[{"0", "\[LessEqual]", "\[Beta]", "\[LessEqual]", "1"}]}],
      TraditionalForm],
     FontWeight->"Bold"], 
    StyleBox[",",
     FontWeight->"Bold"], 
    StyleBox["  ",
     FontWeight->"Bold"], 
    StyleBox[
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ">", "0"}],
     FontWeight->"Bold"], 
    StyleBox[",",
     FontWeight->"Bold"], 
    StyleBox["\[IndentingNewLine]",
     FontWeight->"Bold"], 
    StyleBox["      ",
     FontWeight->"Bold"], "\[IndentingNewLine]", 
    RowBox[{
     SubscriptBox["S", "0"], "=", 
     RowBox[{"initial", " ", "asset", " ", "value"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"r", "=", 
    RowBox[{"interest", " ", "rate"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["\[Sigma]", "0"], "=", 
    RowBox[{"constant", " ", "of", " ", "volatility"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"\[Beta]", "=", 
    RowBox[{"elasticity", " ", "of", " ", "volatility"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"K", "=", " ", "strike"}]}]}]], "DisplayFormula",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQLRHve+/9hVeOW5T9noNoK6vsNyD63qobP0F0z6eH
jB+AdMOHWSwg+to/bW4Q/YjhMg+I3qDKPO87Ei30Im4LiG7+6bwdRCsdED0B
oqcIFV0B0X4qe9+D6KPOlv9AtFpNTtHCi68cn5QuqATRflWrWkB0DsuuHhA9
gWnOBBDdGfd1Mog+EzAnZDGQVviRkAiiS0vDT4PoT68unQXRd+9/lVgCpJ9Z
xUqD6KC/cvIgWmOeqyKInmcUZASipxSnW4JovbTrP5cCabvzL8G0zPLak8eB
tM95lysgOu+mwXsQ3bPR7BuIvvOI8zeINpmj9QdEr2z/u8fr0ivHBdWH9oNo
AJCRzVo=
  "],
 FontFamily->"Times New Roman",
 FontSize->14,
 Background->RGBColor[1, 1, 0.85]],

Cell["\<\
Define the n-th order implied vol. expansion \[Sigma]bar[n][T, S0, K, r, ... \
]:\
\>", "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}, {
   3.5995717394421453`*^9, 3.599571780029361*^9}, {3.599571861095284*^9, 
   3.599571888346801*^9}, {3.59957336260646*^9, 3.599573364659486*^9}, {
   3.599573763220446*^9, 3.599573820048551*^9}, {3.599760008290044*^9, 
   3.59976000905542*^9}, 3.599762781842038*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\<coefficients_IV_order4_CEV\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"T", ",", "S0", ",", "r", ",", "\[Sigma]0", ",", "\[Beta]"}], 
   "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"uBS", "[", 
    RowBox[{"T_", ",", "x_", ",", "k_", ",", "\[Sigma]_", ",", "r_"}], "]"}], 
   ":=", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "x"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Erf", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "k"}], "+", 
            RowBox[{"r", " ", "T"}], "+", "x", "+", 
            FractionBox[
             RowBox[{"T", " ", 
              SuperscriptBox["\[Sigma]", "2"]}], "2"]}], 
           RowBox[{
            SqrtBox["2"], " ", 
            SqrtBox["T"], " ", "\[Sigma]"}]], "]"}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"k", "-", 
         RowBox[{"r", " ", "T"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", 
         RowBox[{"Erfc", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "k"}], "+", 
            RowBox[{"r", " ", "T"}], "+", "x", "-", 
            FractionBox[
             RowBox[{"T", " ", 
              SuperscriptBox["\[Sigma]", "2"]}], "2"]}], 
           RowBox[{
            SqrtBox["2"], " ", 
            SqrtBox["T"], " ", "\[Sigma]"}]], "]"}]}], ")"}]}]}], ")"}]}]}], 
  ";"}], "\n", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"j", "=", "0"}], ",", 
   RowBox[{"j", "\[LessEqual]", "4"}], ",", 
   RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"uBS\[Sigma]", "[", "j", "]"}], "[", 
      RowBox[{"T_", ",", "x_", ",", "k_", ",", "\[Sigma]_", ",", "r_"}], 
      "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"uBS", "[", 
           RowBox[{"T", ",", "x", ",", "k", ",", "\[Sigma]", ",", "r"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Sigma]", ",", "j"}], "}"}]}], "]"}], "/", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"uBS", "[", 
           RowBox[{"T", ",", "x", ",", "k", ",", "\[Sigma]", ",", "r"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Sigma]", ",", "1"}], "}"}]}], "]"}]}], "//", 
       "Simplify"}], "//", "Evaluate"}]}], " ", ";"}]}], 
  "\[IndentingNewLine]", "]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
    RowBox[{"T_", ",", "x_", ",", "k_", ",", "y_", ",", "r_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     SqrtBox[
      RowBox[{
       FractionBox["1", "T"], "2", 
       RowBox[{
        RowBox[{"aI", "[", 
         RowBox[{"2", ",", "0"}], "]"}], "[", 
        RowBox[{"0", ",", "T"}], "]"}]}]], "//", "FullSimplify"}], "//", 
    "Evaluate"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]bar", "[", "0", "]"}], "[", 
    RowBox[{
    "T_", ",", "S0_", ",", "K_", ",", "r_", ",", "\[Sigma]0_", ",", 
     "\[Beta]_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
      RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "\[Rule]", 
        RowBox[{"Log", "[", "S0", "]"}]}], ",", 
       RowBox[{"k", "\[Rule]", 
        RowBox[{"Log", "[", "K", "]"}]}]}], "}"}]}], "//", "Evaluate"}]}], 
  ";"}], "\n", 
 RowBox[{"For", "[", " ", 
  RowBox[{
   RowBox[{"n", "=", "1"}], ",", 
   RowBox[{"n", "\[LessEqual]", "4"}], ",", 
   RowBox[{"n", "++"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Sigma]", "[", "n", "]"}], "[", 
      RowBox[{"T_", ",", "x_", ",", "k_", ",", "y_", ",", "r_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{
        FractionBox["1", 
         RowBox[{"T", " ", 
          RowBox[{
           RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
           RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}]}]], 
        RowBox[{"(", 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"h", "=", "1"}], "n"], 
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"i", "=", "0"}], 
            RowBox[{
             RowBox[{
              RowBox[{"dimFIV", "[", 
               RowBox[{"n", ",", "h"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]], 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox[
               RowBox[{"-", "1"}], 
               RowBox[{
                RowBox[{
                 RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
                 RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], 
                SqrtBox[
                 RowBox[{"2", " ", "T"}]]}]], ")"}], "i"], 
            RowBox[{"HermiteH", "[", 
             RowBox[{"i", ",", 
              FractionBox[
               RowBox[{"x", "+", 
                RowBox[{"r", " ", "T"}], "-", "k", "-", 
                RowBox[{
                 FractionBox["1", "2"], 
                 SuperscriptBox[
                  RowBox[{
                   RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
                   RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], 
                   "]"}], "2"], "T"}]}], 
               RowBox[{
                RowBox[{
                 RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
                 RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], 
                SqrtBox[
                 RowBox[{"2", " ", "T"}]]}]]}], "]"}], 
            RowBox[{
             RowBox[{
              RowBox[{"FIV", "[", 
               RowBox[{"n", ",", "h"}], "]"}], "[", "T", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", "1", ",", "1"}], "]"}], 
             "]"}]}]}]}], ")"}]}], "-", 
       RowBox[{
        FractionBox["1", 
         RowBox[{"n", "!"}]], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"h", "=", "2"}], "n"], 
         RowBox[{
          RowBox[{"BellY", "[", 
           RowBox[{"n", ",", "h", ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"mm", "!"}], 
               RowBox[{
                RowBox[{"\[Sigma]", "[", "mm", "]"}], "[", 
                RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"mm", ",", 
                RowBox[{"n", "-", "h", "+", "1"}]}], "}"}]}], "]"}]}], "]"}], 
          
          RowBox[{
           RowBox[{"uBS\[Sigma]", "[", "h", "]"}], "[", 
           RowBox[{"T", ",", "x", ",", "k", ",", 
            RowBox[{
             RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
             RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], 
            ",", "r"}], "]"}]}]}]}]}], "//", "Evaluate"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Sigma]bar", "[", "n", "]"}], "[", 
      RowBox[{
      "T_", ",", "S0_", ",", "K_", ",", "r_", ",", "\[Sigma]0_", ",", 
       "\[Beta]_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
         RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], "+", 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"j", "=", "1"}], "n"], 
         RowBox[{
          RowBox[{"\[Sigma]", "[", "j", "]"}], "[", 
          RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}]}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "\[Rule]", 
          RowBox[{"Log", "[", "S0", "]"}]}], ",", 
         RowBox[{"k", "\[Rule]", 
          RowBox[{"Log", "[", "K", "]"}]}]}], "}"}]}], "//", "Evaluate"}]}], 
    ";"}]}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.598691989455195*^9, 3.5986953620426273`*^9, 3.598696655124875*^9, 
   3.598697015693552*^9, 3.598697925492749*^9, 3.598697956680724*^9, {
   3.5989827728839207`*^9, 3.598982773996007*^9}, {3.598984141054937*^9, 
   3.5989842117381153`*^9}, {3.598984328430603*^9, 3.598984386492887*^9}, {
   3.598984468909821*^9, 3.598984489403379*^9}, 3.5989849038673477`*^9, {
   3.598990603317453*^9, 3.598990691776987*^9}, {3.598990774367199*^9, 
   3.598990777125066*^9}, {3.598991850196443*^9, 3.5989918532609177`*^9}, {
   3.598992009458397*^9, 3.5989920121607428`*^9}, 3.5989946387948437`*^9, {
   3.598994729262558*^9, 3.5989947299578247`*^9}, {3.5989947639328613`*^9, 
   3.598994766068514*^9}, {3.5989969208210487`*^9, 3.59899700563675*^9}, {
   3.599000832945959*^9, 3.599000833132866*^9}, 3.599000942805632*^9, {
   3.5990010289942513`*^9, 3.599001029449898*^9}, {3.599001067888317*^9, 
   3.599001070921986*^9}, 3.599045042774048*^9, 3.599066318247109*^9, 
   3.5995673999433937`*^9, {3.599567547905315*^9, 3.599567579780888*^9}, {
   3.599571987897265*^9, 3.599571988977839*^9}, 3.599572044926639*^9, {
   3.599572597475325*^9, 3.599572606896727*^9}, {3.5995732926543293`*^9, 
   3.599573323590609*^9}, {3.5995736484401913`*^9, 3.599573655595448*^9}, {
   3.599573689680131*^9, 3.599573689998679*^9}, {3.599573723420217*^9, 
   3.5995737548972692`*^9}, {3.599574349145996*^9, 3.599574403392612*^9}, {
   3.59957702493897*^9, 3.599577098077257*^9}, {3.59957988568289*^9, 
   3.599579892355043*^9}, {3.5996442989827747`*^9, 3.599644303150548*^9}, {
   3.599644594782384*^9, 3.5996446051053333`*^9}, {3.5996447452723017`*^9, 
   3.5996447526820297`*^9}, {3.599645192848803*^9, 3.599645369213702*^9}, 
   3.599646459626133*^9, {3.599646760265254*^9, 3.599646817171063*^9}, {
   3.599647579756715*^9, 3.599647595220825*^9}},
 Background->RGBColor[0.870267795834287, 1., 0.9897611963073167]],

Cell["\<\
Define the call option price (via numerical integration) and the implied \
volatility (via B&S inversion) for the comparison:\
\>", "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}, {
   3.5995717394421453`*^9, 3.599571780029361*^9}, {3.599571861095284*^9, 
   3.5995719616486473`*^9}, {3.599575770106182*^9, 3.599575770445821*^9}, {
   3.599762799348056*^9, 3.599762843713501*^9}, 3.599762982717168*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"T", ",", "S0", ",", "r", ",", "\[Sigma]0", ",", "\[Beta]"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Call", "[", "CEV", "]"}], "[", 
     RowBox[{
     "S_", ",", "K_", ",", "t_", ",", "r_", ",", "vol_", ",", "\[Beta]_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Nu]", "=", 
         FractionBox["1", 
          RowBox[{"2", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Beta]"}], ")"}]}]]}], ",", "\[Sigma]", ",", 
        "\[Tau]", ",", "Q", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Sigma]", "=", "vol"}], ";", 
       RowBox[{"Q", " ", "=", " ", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"r", " ", "t"}], "\[Nu]"]]}], ";", 
       RowBox[{"x", " ", "=", " ", 
        RowBox[{
         SuperscriptBox["S", 
          RowBox[{"1", "/", "\[Nu]"}]], "Q"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"r", "==", "0"}], ",", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "r"}], " ", "t"}]], 
          RowBox[{"NIntegrate", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               RowBox[{"2", " ", 
                SuperscriptBox["\[Nu]", "2"]}], 
               RowBox[{"t", " ", 
                SuperscriptBox["\[Sigma]", "2"]}]], 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"-", 
                FractionBox[
                 RowBox[{"2", " ", 
                  SuperscriptBox["\[Nu]", "2"], 
                  RowBox[{"(", 
                   RowBox[{"x", "+", "y"}], ")"}]}], 
                 RowBox[{"t", " ", 
                  SuperscriptBox["\[Sigma]", "2"]}]]}]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                FractionBox["x", "y"], ")"}], 
               RowBox[{"\[Nu]", "/", "2"}]], 
              RowBox[{"(", " ", 
               RowBox[{
                RowBox[{"-", "K"}], " ", "+", " ", 
                SuperscriptBox["y", "\[Nu]"]}], ")"}], 
              RowBox[{"BesselI", "[", 
               RowBox[{"\[Nu]", ",", 
                RowBox[{"4", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox["\[Nu]", "2"], 
                   SqrtBox[
                    RowBox[{"x", " ", "y"}]]}], 
                  RowBox[{"t", " ", 
                   SuperscriptBox["\[Sigma]", "2"]}]]}]}], "]"}]}], ")"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              SuperscriptBox["K", 
               RowBox[{"1", "/", "\[Nu]"}]], ",", 
              RowBox[{"1000", " ", 
               SuperscriptBox["K", 
                RowBox[{"1", "/", "\[Nu]"}]]}]}], "}"}], ",", 
            RowBox[{"PrecisionGoal", "\[Rule]", "10"}]}], "]"}]}], ",", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "r"}], " ", "t"}]], 
          RowBox[{"NIntegrate", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               RowBox[{"2", "\[Nu]", " ", "r"}], 
               RowBox[{
                SuperscriptBox["\[Sigma]", "2"], 
                RowBox[{"(", 
                 RowBox[{"Q", "-", "1"}], ")"}]}]], 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"-", 
                FractionBox[
                 RowBox[{"2", "\[Nu]", " ", "r", 
                  RowBox[{"(", 
                   RowBox[{"x", "+", "y"}], ")"}]}], 
                 RowBox[{
                  SuperscriptBox["\[Sigma]", "2"], 
                  RowBox[{"(", 
                   RowBox[{"Q", "-", "1"}], ")"}]}]]}]], " ", 
              SuperscriptBox[
               RowBox[{"(", 
                FractionBox["x", "y"], ")"}], 
               RowBox[{"\[Nu]", "/", "2"}]], 
              RowBox[{"(", " ", 
               RowBox[{
                RowBox[{"-", "K"}], " ", "+", " ", 
                SuperscriptBox["y", "\[Nu]"]}], ")"}], 
              RowBox[{"BesselI", "[", 
               RowBox[{"\[Nu]", ",", 
                RowBox[{"4", 
                 FractionBox[
                  RowBox[{"\[Nu]", " ", "r", 
                   SqrtBox[
                    RowBox[{"x", " ", "y"}]]}], 
                  RowBox[{
                   SuperscriptBox["\[Sigma]", "2"], 
                   RowBox[{"(", 
                    RowBox[{"Q", "-", "1"}], ")"}]}]]}]}], "]"}]}], ")"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              SuperscriptBox["K", 
               RowBox[{"1", "/", "\[Nu]"}]], ",", 
              RowBox[{"1000", " ", 
               SuperscriptBox["K", 
                RowBox[{"1", "/", "\[Nu]"}]]}]}], "}"}], ",", 
            RowBox[{"PrecisionGoal", "\[Rule]", "10"}]}], "]"}]}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Implied", " ", "volatility"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ImpVol", "[", 
    RowBox[{"CallPrice_", ",", " ", "S0_", ",", "K_", ",", "T_", ",", "r_"}], 
    "]"}], " ", ":=", " ", 
   RowBox[{"FinancialDerivative", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<European\>\"", ",", " ", "\"\<Call\>\""}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<StrikePrice\>\"", " ", "->", " ", "K"}], ",", " ", 
       RowBox[{"\"\<Expiration\>\"", " ", "->", " ", "T"}], ",", " ", 
       RowBox[{"\"\<Value\>\"", " ", "->", " ", "CallPrice"}]}], "}"}], ",", 
     "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<InterestRate\>\"", " ", "->", " ", "r"}], ",", " ", 
       RowBox[{"\"\<CurrentPrice\>\"", " ", "->", " ", "S0"}], ",", " ", 
       RowBox[{"\"\<Dividend\>\"", " ", "->", " ", "0"}]}], "}"}], ",", " ", 
     "\"\<ImpliedVolatility\>\""}], "]"}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"CEV", " ", "Implied", " ", "Vol"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ImpVolCEV", "[", 
   RowBox[{
   "S0_", ",", "K_", ",", "T_", ",", "r_", ",", "\[Sigma]0_", ",", 
    "\[Beta]_"}], "]"}], ":=", 
  RowBox[{"ImpVol", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Call", "[", "CEV", "]"}], "[", 
     RowBox[{
     "S0", ",", "K", ",", "T", ",", "r", ",", "\[Sigma]0", ",", "\[Beta]"}], 
     "]"}], ",", " ", "S0", ",", "K", ",", "T", ",", "r"}], "]"}]}]}], "Input",\

 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.598691989455195*^9, 3.5986953620426273`*^9, 3.598696655124875*^9, 
   3.598697015693552*^9, 3.598697925492749*^9, 3.598697956680724*^9, {
   3.5989827728839207`*^9, 3.598982773996007*^9}, {3.598984141054937*^9, 
   3.5989842117381153`*^9}, {3.598984328430603*^9, 3.598984386492887*^9}, {
   3.598984468909821*^9, 3.598984489403379*^9}, 3.5989849038673477`*^9, {
   3.598990603317453*^9, 3.598990691776987*^9}, {3.598990774367199*^9, 
   3.598990777125066*^9}, {3.598991850196443*^9, 3.5989918532609177`*^9}, {
   3.598992009458397*^9, 3.5989920121607428`*^9}, 3.5989946387948437`*^9, {
   3.598994729262558*^9, 3.5989947299578247`*^9}, {3.5989947639328613`*^9, 
   3.598994766068514*^9}, {3.5989969208210487`*^9, 3.59899700563675*^9}, {
   3.599000832945959*^9, 3.599000833132866*^9}, 3.599000942805632*^9, {
   3.5990010289942513`*^9, 3.599001029449898*^9}, {3.599001067888317*^9, 
   3.599001070921986*^9}, 3.599045042774048*^9, 3.599066318247109*^9, 
   3.5995673999433937`*^9, {3.599567547905315*^9, 3.599567579780888*^9}, {
   3.599571987897265*^9, 3.599571988977839*^9}, {3.599572613434569*^9, 
   3.5995726428661613`*^9}, 3.5995745710481853`*^9, {3.599579897320693*^9, 
   3.5995799014539013`*^9}, {3.599646401118684*^9, 3.599646450982771*^9}, {
   3.599646522183194*^9, 3.599646556733533*^9}, {3.59964842587702*^9, 
   3.599648434327918*^9}, 3.599648694143137*^9, {3.599648881583283*^9, 
   3.599648885519655*^9}, {3.5997628681642227`*^9, 3.5997628789302397`*^9}, {
   3.5999146635068827`*^9, 3.59991469801845*^9}, {3.5999148170703*^9, 
   3.5999149017255*^9}, {3.59991525612258*^9, 3.599915273577134*^9}, 
   3.599915310745722*^9, {3.599915346724229*^9, 3.599915419360366*^9}, {
   3.599915484634673*^9, 3.599915498338559*^9}, 3.5999155409178257`*^9, 
   3.5999156129934883`*^9},
 Background->RGBColor[0.870267795834287, 1., 0.9897611963073167]],

Cell["Test:", "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}, {
   3.5995717394421453`*^9, 3.599571780029361*^9}, {3.599571861095284*^9, 
   3.5995719616486473`*^9}, {3.599572470029501*^9, 3.599572470582589*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", "CEV"}]}], " ", 
    RowBox[{
     RowBox[{"parameters", "--"}], "--"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]0", "=", "0.3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Beta]", "=", 
     RowBox[{"1", "/", "3"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"S0", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"r", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Kmin", "=", 
     RowBox[{"S0", "-", 
      RowBox[{"0.25", " ", 
       SuperscriptBox["T", 
        RowBox[{"1", "/", "2"}]]}]}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Kmax", "=", 
     RowBox[{"S0", "+", 
      RowBox[{"0.25", " ", 
       SuperscriptBox["T", 
        RowBox[{"1", "/", "2"}]]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IVmin", "=", 
     RowBox[{
      RowBox[{"ImpVolCEV", "[", 
       RowBox[{
       "S0", ",", "Kmax", ",", "T", ",", "r", ",", "\[Sigma]0", ",", 
        "\[Beta]"}], "]"}], "-", "0.01"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"Style", "[", 
     RowBox[{
     "\"\<Implied Vol: Exact (solid) vs our new code 3rd (Red) vs our new \
code 4th (Green)\>\"", ",", "16", ",", "Blue", ",", "Bold"}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Sigma]bar", "[", "3", "]"}], "[", 
        RowBox[{
        "T", ",", "S0", ",", "K", ",", "r", ",", "\[Sigma]0", ",", 
         "\[Beta]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"\[Sigma]bar", "[", "4", "]"}], "[", 
        RowBox[{
        "T", ",", "S0", ",", "K", ",", "r", ",", "\[Sigma]0", ",", 
         "\[Beta]"}], "]"}], ",", 
       RowBox[{"ImpVolCEV", "[", 
        RowBox[{
        "S0", ",", "K", ",", "T", ",", "r", ",", "\[Sigma]0", ",", 
         "\[Beta]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"K", ",", "Kmin", ",", "Kmax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Red", ",", "Dashed"}], "}"}], ",", 
        RowBox[{"{", "Green", "}"}], ",", "Black"}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Kmin", ",", 
        RowBox[{"IVmin", "-", "0.03"}]}], "}"}]}]}], "]"}]}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.598691989455195*^9, 3.5986953620426273`*^9, 3.598696655124875*^9, 
   3.598697015693552*^9, 3.598697925492749*^9, 3.598697956680724*^9, {
   3.5989827728839207`*^9, 3.598982773996007*^9}, {3.598984141054937*^9, 
   3.5989842117381153`*^9}, {3.598984328430603*^9, 3.598984386492887*^9}, {
   3.598984468909821*^9, 3.598984489403379*^9}, 3.5989849038673477`*^9, {
   3.598990603317453*^9, 3.598990691776987*^9}, {3.598990774367199*^9, 
   3.598990777125066*^9}, {3.598991850196443*^9, 3.5989918532609177`*^9}, {
   3.598992009458397*^9, 3.5989920121607428`*^9}, 3.5989946387948437`*^9, {
   3.598994729262558*^9, 3.5989947299578247`*^9}, {3.5989947639328613`*^9, 
   3.598994766068514*^9}, {3.5989969208210487`*^9, 3.59899700563675*^9}, {
   3.599000832945959*^9, 3.599000833132866*^9}, 3.599000942805632*^9, {
   3.5990010289942513`*^9, 3.599001029449898*^9}, {3.599001067888317*^9, 
   3.599001070921986*^9}, 3.599045042774048*^9, 3.599066318247109*^9, 
   3.5995673999433937`*^9, {3.599567547905315*^9, 3.599567579780888*^9}, {
   3.599571987897265*^9, 3.599571988977839*^9}, {3.599572613434569*^9, 
   3.5995726428661613`*^9}, 3.5995745710481853`*^9, {3.599579897320693*^9, 
   3.5995799014539013`*^9}, 3.5995800475001183`*^9, {3.5995803649031897`*^9, 
   3.599580409592898*^9}, {3.599647070705802*^9, 3.59964716438761*^9}, {
   3.599647713315249*^9, 3.599647751728104*^9}, {3.599647871668807*^9, 
   3.59964794464587*^9}, {3.599648856309588*^9, 3.599648856983124*^9}, {
   3.59964890603701*^9, 3.5996489234726152`*^9}, 3.599648997453302*^9, {
   3.599649050969625*^9, 3.5996490650978127`*^9}, {3.599649506419194*^9, 
   3.599649538062111*^9}, 3.599649591436623*^9, {3.599649837639327*^9, 
   3.599649870503463*^9}, 3.5996499048547564`*^9, {3.5996499687491007`*^9, 
   3.5996499710760717`*^9}, {3.5997652133256207`*^9, 3.599765213524097*^9}, 
   3.5997654102903748`*^9, 3.599765461458653*^9, {3.5998038538063297`*^9, 
   3.59980389383562*^9}, {3.599914954030507*^9, 3.5999149544677553`*^9}, {
   3.5999154551270123`*^9, 3.5999154566007147`*^9}, {3.5999155096117277`*^9, 
   3.59991551000681*^9}, {3.599915559607141*^9, 3.599915560283893*^9}},
 Background->RGBColor[0.870267795834287, 1., 0.9897611963073167]],

Cell[BoxData[
 StyleBox["\<\"Implied Vol: Exact (solid) vs our new code 3rd (Red) vs our \
new code 4th (Green)\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.599580055316103*^9, 3.599647676217155*^9, 3.599647722472166*^9, 
   3.599647754841735*^9, {3.599647882766796*^9, 3.599647945533257*^9}, 
   3.599648858179399*^9, 3.5996488901201572`*^9, 3.5996489250088053`*^9, 
   3.5996489978921556`*^9, {3.599649051174417*^9, 3.599649065343054*^9}, {
   3.599649519756646*^9, 3.599649538266728*^9}, 3.5996495916539392`*^9, {
   3.599649837863709*^9, 3.5996498713541527`*^9}, 3.599649906167851*^9, 
   3.599649971306261*^9, {3.5997653969129133`*^9, 3.599765410483235*^9}, 
   3.599765502299556*^9, {3.599803871313331*^9, 3.599803894294646*^9}, {
   3.599914948698063*^9, 3.59991495536439*^9}, 3.59991499415209*^9, 
   3.599915282236505*^9, {3.599915449550507*^9, 3.5999154574100933`*^9}, {
   3.599915505057193*^9, 3.599915511712397*^9}, {3.599915546871284*^9, 
   3.599915560758337*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0ns01AkUB/AeVGKGKOURS0VMkl3Oqnb6ikovsjTtetVJzQmFJUkPK7WL
LY8eVmNLLTab2jSbymJTYrUM+s0TaUZj0pBpTCYzjN+p/e0f99zzOffcP+73
XKeYpFD2jGnTpgVR9X/nMAbCr3e1I/bOLFMmTwbDqJHfGVk7lnr9k5TQKkPk
fVeXA+p2fNs427qsSQYHZsLYSjoPdz91WFv+JUNF8MTZxiAeJNWKdNsbMlQn
0/+WdvCgK18b1pQpQ0vtGgd7XgcaJjeyg76UQRNwaYDzrAtPL0YsrqiWInb4
aAX9HB9JzgEBGytfgp7ep/w3X4iWI1G3Gc/7sMHxU1R8thiq9KHMJ1Z9aMya
AL+qGxJaQkZ19AskMlx9uDd7cZvVCK+WXsScZ3B2CvoQwVk+vXVFL97QNIxX
76WoSb/0SP5bD34VDPMVqn5wR0MS5J492FH1MmWXiRw7Lhgt8K3vxrBZv7He
ZAD0M5MRY2Hd4J1c73XOWIFYn8ScsXEJdrQXWJ22fo2ETouSVcUSJDboPnov
GIQi2fSYpb8Enme3lG11ewO742nJ01Vi+LLJvjBfJRRpcRkeV8V4qWhztPEZ
wrs8w7FTLDGc/U7brg8chijCIeuymRgz/VgOywLfwtTsrqSJJ0L2Yqveg1Ej
eDezYndtrghfz/ZaUXlIBUNHxLqBLSLUFsXlXo1/hy/KLI7UzxPh8ae8K+MZ
asR0jYjDuoWIofNq52aOIs/YvFBfLsTvRd4Pf2JqsFB0tDw7WQi1xeRBtGrw
6qGmTcoUYkb/VhfhxvfQuEgH9psLobSz/GoR8R7FM+S+HTIBNLtNHLq/GYPF
L4+ELVwBnmnzjVIlYzByrbJCjgBJ+pxNT/doEcotcLsVKcDr7eb56n4trGhl
DQHeAmTcbL1eFP0Bgk6mspUugDJFS1MNfoB6k1YVpOTDsfDOKSf2OL6vEsfl
NfOx3FYaPGd0HE733YIGS/n4qCtx6kzSIUB5sLPuBB8TvdlPTNU63Pf78Zpd
JB/NjOH6qTQ91HHO+lu+fEQ976lr0+kR7XdSGm3DR6ucOX8L9UOGw5GbQycI
7DQI1vibTGK9kmtT10Pg7v5xtk3uJMRPqx7oGwj0MfNVZfMM8Ij1dDlbSkAc
e+/onIsGzE+jjXRlEdCWzH4+ZD4F492ctjUHCAysFmQd50zhTyK803QbgWsM
99VvF5IYbEg1sLwIvLjA8VtiS6Lyc2Hi61UErCdmbY6yJ+EWbKlOoZzfotjV
9RkJ+qQ77bwngZPRpan33Eh09F/obPcgEFFowT2+lsS6Mz+z/N2pfa3OxXQP
CbPB3COrlxAIDWev3LCXxKF4tn+bM4GCx0KfjH0kcsqVNuGUjfO4G0YPkHAf
EQ+lOxH4sDQ+RvgdiWpf11l1jgQEu6SlV06TSLUwYa61J0B/tO2G6AcSzd6x
NTw7AluX1P9ByyGx1y/EO4py02hxQ+Y5Et5va1gZtgS4uSG9+4pIeFZdtn6y
iIBK3fjqajGJsWVm8hDKriyPITGHRE3w1AP5Qiofp7n6wFISvAL/zJmUX+Sk
fzx1nUS2/eXDRdbUfeo3xvVlVB4Be1KWUQ7dyaJpK0jcXFdy4uECKq/65vkr
Kqn59oDCQMr/AQKadds=
     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwV0ms01HkYB/DZtimXTCqpJhGV20SrKJS+tGSbSiW0hGqsTcolSa0SaY9L
bpu17bSk5hRpu6zTcTlLSBcKy39mDA1maFQuO8a4DOKXdvbFc57zefF98XzP
Y8yJ8AyeQ6PR9qrn/81lyXxvNTegKML2WWqHFNPDc52vSBswVSvXrhBJcbjE
zPS4ogHmRXHpQ5QUhk5ho9aMRuw9EGYQWC/FHY+pq9V7GxGYNqgVXCLF49OM
p5KmRuh6jAvnZUnxstzR0KCxCQHDZaqEnVIov/1Vxq1vxqWCicgbVRKEDJy7
w0jjoyrNgnaqpAuM8519rzOEKCWceUFdnXA1+uIfmiTC4mU1Q7TVnai+PAX+
/Xb89E1dTF9IB8JZZnbFRWK8ebgl9XKzGJxfWFwvQSeuNkjyrTaL8VFHyeoZ
kcBMI/Fd7KO3uC0Y4PfKu1FwaZN+85a32He/K8pH8x0CQ7XZ8bXtGFjQTZ/U
lEH35Mi1J37taLzoYpNG78WU/6pikDbsa8hckqj/HjFshd6SvDaEV07M2i79
AGVlpSfPvQ0bru7isS0+gtBjytxGRLAPJp0H7fsgDbf8bQtPhK7eN0Yr7PrB
nUkpPeongolzItPFfQDHDBa2+CwS4Wtnb8N17oM45bndPoxqRdKqJeKT/v/C
k3lkzvcZrTgw32Z94Sk5FLas04kerSjPOZGSFzoEL6voTI5+K2q+pOeq4hSI
cGd1LOgSgsNoLNeKH0b7CXlu/T0h7uXYlqU6KfF892jymRghFLqfTqJOie1G
UWeVO4SY0802FbqNYPPrK2G39YToW7l423JqBEb+IWUO7wVQBmoath8axcZq
H15ImQD1Yxlzo9tGcbf8s2xFhgARk8k7nx8ZQ//hftqrYwK837MwQ9E9hmgJ
0zTfUYC4orpbOQHjYJSsVHKWCtAXNaYj/zCOUqZGjq2CD6OsRwnGwSq4dT0t
rGzgw5wp8dAYViGzp8TuxwI+ZiduGP8TMQEHtjQr9QofU+KkZ9qKCZy5sHPI
MYiPF6yBipmYSWj35PWYuPDh3/L27zcTk8jihF+wNOGj7p2T3i71DyVH25Re
/IoPr2mB4w7NT6AdtE5wkVH46wdV8IqUT9BiBu0Xv6LQ6ZQh5y2aRmeYL735
HgVRyJNzGtnTcLPTkESkUxi7Mb+lf+EMJltNjeyjKMgcBJdjuTO4Fh+dHu5D
IZ9l6TC4jODxIr+A5U4UOq5xndcwCaxHxZeKtlHQn5r3nb8BQZ75ngf2ame8
7PVpXk0QRqOt891K4WLAzegnFgQ13pG5fzhQ8MvSLY7dShCraso22qzOj02Y
ah8hCLjum2+zgYKnb7C16zGCgdl45gtrCpk1Qru4IIKpQX+el9r09GLX4eME
FqMbW85ZURhfG8oRRhK4HjJ4UM2iIPCR3MxNJMhuYnM8zCkwqnYXtP5MYPrn
55QeMwrsNRUPdZIJ0gS7KqLUrh2+XhmfRpD0qnDb76YUilP2i4NyCJZznZ/1
rKUgV1T35F0niLJK23pGbTNvq34Rl+Bs3tFautr5xlqT7jcJNrXflVuuUfeT
fH424RaBSls3u8pEfZ/iI72CRxApn3XZr7anl7fO2B0Cm8cRRGas7qvihd76
QgKv5KO1Z9X+D9+oc3I=
     "]]}, 
   {GrayLevel[0], LineBox[CompressedData["
1:eJwV0ns0lHkYB/DaJVFGSTYSJiEmbKeU636nUi5bqKVtQh1a3bTEOki1Eck2
ZmytmFJUqq1tk2yrXSqFQ2ZK79zcxgwNuTXGZdzijX33j995zuec53nO8zzn
R4+I2RX5xZw5c3ZQ7//IYyhZhQ18yHrSY52sFZga1GKmKfhIW5kpXEBXIOSJ
rc0hNR98uW1ev5kC5p4/jjjSBIjWvuTzyEiBIv/JCy92CPD16vCpIC0FimNp
z+RvBKivK9tr0CVHzVM3czPBGxBOfw043pFjaMtvSl5dA+qjpdnXHOQ43JdY
RGMLcdxWubZ6cxtoSbKe1xwxQs+QzMAUGbwsZkOPZkiR1fU8JV3SihepkxDe
b0L8YZbdVUYrohm2ziX3WiDcUWlekd+CiF8ZvCCRDP84+I5wFragW3+I0TEs
h3tZ4ehidjNuiPqEnap2HPNI2KY0bUbA/ba43brv0b7V40A81bdvYbv2hK4S
TiE7Nx/c1gTBqU1r2dqdCDBjVM792IgAPnfJWeMu8L3mbcjlNCK6Ynxm/dIP
CNQUpHu7N8Lpgu9NP7turFiXVtPSLYVLJCn7zqUH6pOPS8N4UrR11luYOPci
35TIerlLipXMs6abvPvwLDHWV6wnxZfMYHNr734EW63LqeNLkLFiSUtU6Eck
p+bJkzMl2Kmzds3dYypsePDWzcdPgqc5RzKvHR0Al3W76a6hBJWzWfljp9Wo
6R9oqGoWI4ImeKp3ZhAN2YNTktti/J6zvuwXzyG0vZYU1/0khnrRpyjUDmH9
nmy7NKYYX7T72Yi3DsPY+/OyCEMxepYbeiwjhsGbbPzbSinC0D5d86bvR1CV
lLw89okIdRqOVnzjCAZvnJRtZIsQM3F+W9V+Ddyc6BLNfhG6thtw1O0a7By2
OdfkIsLpe7WFOWGjEJZFn7q1RISeOI2+6sMo9HrDGxNUQlhkP0yhR47hUPNl
98+vhVhtKvefPziG1tgoo9tFQsyMX6G/jRnHQRbt8qtUISZbMl4uUI/jQZlJ
QFS4ENWMvvLphAnoOJTb+UKI0HfN/9aPT8DMV9G91VKI2veeRr7UH/K35uqw
ZwkETYncNut+QuCWkKZNHQQe/TAWaZL5CTXfSGoF1QRknhzVzcVTOOdOKy65
Q0B6uDRx/qUpDC/Nc9xygYDmis67XoNpdPY81EzHEFC6ilKTedNYfazDnh5E
oIBh79r/FQlVEqug3I1A60Ue08qUxOy+DQl+lI0n5/mEmpEYNZzLanUlwKnp
3N1gSeJIxB5MuRA4FXY9vtSOBMe+leu2kcDe7EUlye4kRlwzNz5fR9Vrxm0W
7CehML58i7+GwC5WpKNXOAmfPRclIZS5lWLn0wdIMJ2ZiwcYBLSzSrwGD5F4
dKL4DwPKo6uORoiPk4jafjUs2I6AaLf8ev5ZEh5skyqlNQHa82/vSNJJZExH
FsRT9rMq/1P/PDW/ic+5eZRfDeZWnGGTSHWujbNfRaAkM7DlQA4Jkp/4Jm4l
AZX6Rce1XCqfg89alG2DHXqlPBI/l3Jd8ujUfeh6E97XSZTNfdZQYUnd53zS
TEohiYSCXDt/ysbqbu3ymyQepwxzOyyo/YKC9TVFJJKV/Jk4ypzyaqM1d0kE
zVie0Kb8H4zSeug=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0.20943058495790512`, 0.2118933931943188},
  Method->{},
  PlotRange->{{0.20943058495790512`, 1.790569415042095}, {0.2118933931943188, 
   0.48208850641253287`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.5995800576063957`*^9, {3.599647699266149*^9, 3.599647728348456*^9}, 
   3.599647760943193*^9, {3.599647883852569*^9, 3.5996479468932467`*^9}, 
   3.599648858378107*^9, 3.5996488913927507`*^9, 3.5996489270972757`*^9, 
   3.599648999787015*^9, {3.599649053260496*^9, 3.599649067599744*^9}, {
   3.599649521930285*^9, 3.599649540678393*^9}, 3.599649593826473*^9, {
   3.5996498401886263`*^9, 3.599649873683529*^9}, 3.599649908289255*^9, 
   3.5996499735020847`*^9, {3.5997653993487587`*^9, 3.5997654125983477`*^9}, 
   3.599765504712989*^9, {3.599803874393508*^9, 3.5998038970658045`*^9}, {
   3.5999149507979717`*^9, 3.599914957446765*^9}, 3.5999149963148203`*^9, 
   3.5999152848830442`*^9, {3.599915451574572*^9, 3.5999154594498158`*^9}, {
   3.599915507136352*^9, 3.599915516976269*^9}, {3.599915548954774*^9, 
   3.5999155627997513`*^9}}]
}, Open  ]]
}, Open  ]],

Cell["\<\
Explicit expressions of the implied vol. expansion:\
\>", "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}, {
   3.5995717394421453`*^9, 3.599571780029361*^9}, {3.599571861095284*^9, 
   3.5995719616486473`*^9}, {3.599572470029501*^9, 3.599572470582589*^9}, {
   3.599579629345312*^9, 3.599579757268725*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"T", ",", "S0", ",", "r", ",", "\[Sigma]0", ",", "\[Beta]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]bar", "[", "0", "]"}], "[", 
  RowBox[{
  "T", ",", "S0", ",", "K", ",", "r", ",", "\[Sigma]0", ",", "\[Beta]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]bar", "[", "1", "]"}], "[", 
   RowBox[{
   "T", ",", "S0", ",", "K", ",", "r", ",", "\[Sigma]0", ",", "\[Beta]"}], 
   "]"}], "//", "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]bar", "[", "2", "]"}], "[", 
   RowBox[{
   "T", ",", "S0", ",", "K", ",", "r", ",", "\[Sigma]0", ",", "\[Beta]"}], 
   "]"}], "//", "FullSimplify"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.598691989455195*^9, 3.5986953620426273`*^9, 3.598696655124875*^9, 
   3.598697015693552*^9, 3.598697925492749*^9, 3.598697956680724*^9, {
   3.5989827728839207`*^9, 3.598982773996007*^9}, {3.598984141054937*^9, 
   3.5989842117381153`*^9}, {3.598984328430603*^9, 3.598984386492887*^9}, {
   3.598984468909821*^9, 3.598984489403379*^9}, 3.5989849038673477`*^9, {
   3.598990603317453*^9, 3.598990691776987*^9}, {3.598990774367199*^9, 
   3.598990777125066*^9}, {3.598991850196443*^9, 3.5989918532609177`*^9}, {
   3.598992009458397*^9, 3.5989920121607428`*^9}, 3.5989946387948437`*^9, {
   3.598994729262558*^9, 3.5989947299578247`*^9}, {3.5989947639328613`*^9, 
   3.598994766068514*^9}, {3.5989969208210487`*^9, 3.59899700563675*^9}, {
   3.599000832945959*^9, 3.599000833132866*^9}, 3.599000942805632*^9, {
   3.5990010289942513`*^9, 3.599001029449898*^9}, {3.599001067888317*^9, 
   3.599001070921986*^9}, 3.599045042774048*^9, 3.599066318247109*^9, 
   3.5995673999433937`*^9, {3.599567547905315*^9, 3.599567579780888*^9}, {
   3.599571987897265*^9, 3.599571988977839*^9}, {3.599572613434569*^9, 
   3.5995726428661613`*^9}, 3.5995745710481853`*^9, {3.599579897320693*^9, 
   3.5995799014539013`*^9}, 3.5995800475001183`*^9, 3.599580084720087*^9, {
   3.5996472759375553`*^9, 3.599647303863413*^9}, {3.5996492071107883`*^9, 
   3.599649223589286*^9}, {3.5996497890550528`*^9, 3.599649789546336*^9}, {
   3.599803907734414*^9, 3.599803927216529*^9}, {3.5999155870457897`*^9, 
   3.599915594989368*^9}},
 Background->RGBColor[0.870267795834287, 1., 0.9897611963073167]],

Cell[BoxData[
 SqrtBox[
  RowBox[{
   SuperscriptBox["S0", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}]], " ", 
   SuperscriptBox["\[Sigma]0", "2"]}]]], "Output",
 CellChangeTimes->{{3.59957772402394*^9, 3.5995777284103117`*^9}, 
   3.5995799245957747`*^9, {3.599579955759563*^9, 3.599579974414955*^9}, 
   3.59958001084453*^9, 3.599580086885993*^9, {3.5996491876557283`*^9, 
   3.5996492238224373`*^9}, {3.599649770241008*^9, 3.5996497908289957`*^9}, 
   3.599803927915569*^9, {3.599915581706581*^9, 3.599915595594915*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SqrtBox[
   RowBox[{
    SuperscriptBox["S0", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"2", " ", "\[Beta]"}]}]], " ", 
    SuperscriptBox["\[Sigma]0", "2"]}]], " ", 
  RowBox[{"(", 
   RowBox[{"2", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], " ", 
     RowBox[{"Log", "[", "K", "]"}]}], "+", 
    RowBox[{"Log", "[", "S0", "]"}], "-", 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"Log", "[", "S0", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.59957772402394*^9, 3.5995777284103117`*^9}, 
   3.5995799245957747`*^9, {3.599579955759563*^9, 3.599579974414955*^9}, 
   3.59958001084453*^9, 3.599580086885993*^9, {3.5996491876557283`*^9, 
   3.5996492238224373`*^9}, {3.599649770241008*^9, 3.5996497908289957`*^9}, 
   3.599803927915569*^9, {3.599915581706581*^9, 3.599915595647592*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SqrtBox[
    RowBox[{
     SuperscriptBox["S0", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"2", " ", "\[Beta]"}]}]], " ", 
     SuperscriptBox["\[Sigma]0", "2"]}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["S0", "4"], " ", 
      RowBox[{"(", 
       RowBox[{"24", "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         SuperscriptBox["T", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"]}]}], ")"}]}], 
     "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["S0", 
       RowBox[{"2", "+", 
        RowBox[{"2", " ", "\[Beta]"}]}]], " ", "T", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"], " ", 
      SuperscriptBox["\[Sigma]0", "2"]}], "-", 
     RowBox[{
      SuperscriptBox["S0", 
       RowBox[{"4", " ", "\[Beta]"}]], " ", 
      SuperscriptBox["T", "2"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], "2"], " ", 
      SuperscriptBox["\[Sigma]0", "4"]}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["S0", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Log", "[", "K", "]"}], "-", 
        RowBox[{"Log", "[", "S0", "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"6", "+", 
        RowBox[{"r", " ", "T", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Beta]"}], ")"}], " ", 
         RowBox[{"Log", "[", "K", "]"}]}], "+", 
        RowBox[{"Log", "[", "S0", "]"}], "-", 
        RowBox[{"\[Beta]", " ", 
         RowBox[{"Log", "[", "S0", "]"}]}]}], ")"}]}]}], ")"}]}], 
  RowBox[{"96", " ", 
   SuperscriptBox["S0", "4"]}]]], "Output",
 CellChangeTimes->{{3.59957772402394*^9, 3.5995777284103117`*^9}, 
   3.5995799245957747`*^9, {3.599579955759563*^9, 3.599579974414955*^9}, 
   3.59958001084453*^9, 3.599580086885993*^9, {3.5996491876557283`*^9, 
   3.5996492238224373`*^9}, {3.599649770241008*^9, 3.5996497908289957`*^9}, 
   3.599803927915569*^9, {3.599915581706581*^9, 3.599915595682372*^9}}]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1440, 852},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1485, 35, 610, 10, 86, "Section",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[CellGroupData[{
Cell[2120, 49, 197, 4, 68, "Section"],
Cell[2320, 55, 1352, 26, 220, "Text"]
}, Open  ]],
Cell[3687, 84, 377, 5, 39, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[4067, 91, 2094, 62, 205, "DisplayFormula"],
Cell[6164, 155, 724, 12, 39, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[6891, 169, 10246, 266, 509, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[17140, 437, 722, 11, 35, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[17865, 450, 8673, 206, 371, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[26541, 658, 522, 7, 35, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[CellGroupData[{
Cell[27088, 669, 4906, 108, 270, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[31997, 779, 1207, 23, 25, "Print"],
Cell[33207, 804, 6486, 115, 238, "Output"]
}, Open  ]]
}, Open  ]],
Cell[39720, 923, 626, 10, 35, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[CellGroupData[{
Cell[40371, 937, 2389, 44, 96, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[42763, 983, 590, 13, 40, "Output"],
Cell[43356, 998, 926, 24, 47, "Output"],
Cell[44285, 1024, 2468, 71, 61, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature xxpoG0KMd9ZoGD1d8PGv0bQu *)
