(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       150,          7]
NotebookDataLength[    125257,       3382]
NotebookOptionsPosition[    124351,       3349]
NotebookOutlinePosition[    124716,       3365]
CellTagsIndexPosition[    124673,       3362]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  StyleBox[
   RowBox[{"General", " ", "Implied", " ", "Volatility", " ", "Expression"}], 
   "Title",
   FontVariations->{"Underline"->True}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{
   "This", " ", "file", " ", "gives", " ", "3", "rd", " ", "order", " ", 
    "implied", " ", "volatility", " ", "expansion", " ", "in", " ", "terms", 
    " ", "of", " ", 
    RowBox[{"coefficients", ":", 
     RowBox[{"a_", 
      RowBox[{"{", 
       RowBox[{"n", ",", "k"}], "}"}]}]}]}], ",", 
   RowBox[{"b_", 
    RowBox[{"{", 
     RowBox[{"n", ",", "k"}], "}"}]}], ",", 
   RowBox[{"c_", 
    RowBox[{"{", 
     RowBox[{"n", ",", "k"}], "}"}]}], ",", " ", 
   RowBox[{
    RowBox[{"\\", "alpha_"}], 
    RowBox[{"{", 
     RowBox[{"n", ",", "k"}], "}"}]}]}], "Subsection"], "\n", 
 StyleBox[
  RowBox[{
   RowBox[{
    RowBox[{"and", " ", "log"}], "-", 
    RowBox[{"moneyness", " ", 
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]"}], 
  "Subsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"X", " ", "=", " ", 
   RowBox[{"Log", "[", "S", "]"}]}], "Subsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"dX", " ", "=", " ", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"-", " ", "1"}], "2"], 
     RowBox[{"\[Sigma]", "^", 
      RowBox[{"2", "[", 
       RowBox[{"X", ",", "Y"}], "]"}]}], " ", "dt"}], " ", "+", 
    RowBox[{
     RowBox[{"\[Sigma]", "[", 
      RowBox[{"X", ",", "Y"}], "]"}], "dW"}]}]}], 
  "Subsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"dY", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]", "[", 
      RowBox[{"X", ",", "Y"}], "]"}], "dt"}], " ", "+", " ", 
    RowBox[{
     RowBox[{"\[Beta]", "[", 
      RowBox[{"X", ",", "Y"}], "]"}], "dB"}]}]}], 
  "Subsection"], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{"dW", " ", "dB"}], " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Rho]", "[", 
      RowBox[{"X", ",", "Y"}], "]"}], "dt"}]}], "Subsection"], 
  StyleBox["\[IndentingNewLine]", "Subsection"]}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{"a", "[", 
     RowBox[{"x", ",", "y"}], "]"}], ":=", 
    RowBox[{
     FractionBox[
      RowBox[{" ", "1"}], "2"], 
     RowBox[{"\[Sigma]", "^", 
      RowBox[{"2", "[", 
       RowBox[{"X", ",", "Y"}], "]"}]}]}]}], "Subsection"], 
  StyleBox[" ", "Subsection"]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"b", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ":=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"\[Beta]", "^", 
     RowBox[{"2", "[", 
      RowBox[{"X", ",", "Y"}], "]"}]}]}]}], 
  "Subsection"], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{"c", "[", 
     RowBox[{"x", ",", "y"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"\[Rho]", "[", 
      RowBox[{"X", ",", "Y"}], "]"}], 
     RowBox[{"\[Sigma]", "[", 
      RowBox[{"X", ",", "Y"}], "]"}], " ", 
     RowBox[{"\[Beta]", "[", 
      RowBox[{"X", ",", "Y"}], "]"}]}]}], "Subsection"], 
  StyleBox["\[IndentingNewLine]", "Subsection"], 
  StyleBox["\[IndentingNewLine]", "Subsection"]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"x", ",", "y"}], "]"}], 
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["\[PartialD]", 
         RowBox[{"x", ",", "x"}]], 
        RowBox[{"-", 
         SubscriptBox["\[PartialD]", "x"]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"x", ",", "y"}], "]"}], 
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"y", ",", "y"}]], 
       RowBox[{"+", 
        RowBox[{"c", "[", 
         RowBox[{"x", ",", "y"}], "]"}]}]}], 
      RowBox[{
       SubscriptBox["\[PartialD]", 
        RowBox[{"x", ",", "y"}]], 
       RowBox[{"+", 
        RowBox[{"\[Alpha]", "[", 
         RowBox[{"x", ",", "y"}], "]"}]}]}], 
      SubscriptBox["\[PartialD]", "y"]}]}]}], " ", ",", "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["a", 
     RowBox[{"n", ",", "k"}]], ":=", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       RowBox[{"n", "!"}], 
       RowBox[{"k", "!"}]}]], 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[PartialD]", 
        RowBox[{"n", "+", "k"}]], 
       RowBox[{"a", "[", 
        RowBox[{"x", ",", "y"}], "]"}]}], 
      RowBox[{
       SubsuperscriptBox["\[PartialD]", "x", "n"], 
       SubsuperscriptBox["\[PartialD]", "y", "k"]}]]}]}]}], 
  "Subsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["b", 
    RowBox[{"n", ",", "k"}]], ":=", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      RowBox[{"n", "!"}], 
      RowBox[{"k", "!"}]}]], 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[PartialD]", 
       RowBox[{"n", "+", "k"}]], 
      RowBox[{"b", "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], 
     RowBox[{
      SubsuperscriptBox["\[PartialD]", "x", "n"], 
      SubsuperscriptBox["\[PartialD]", "y", "k"]}]]}]}], 
  "Subsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["c", 
    RowBox[{"n", ",", "k"}]], ":=", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      RowBox[{"n", "!"}], 
      RowBox[{"k", "!"}]}]], 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[PartialD]", 
       RowBox[{"n", "+", "k"}]], 
      RowBox[{"c", "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], 
     RowBox[{
      SubsuperscriptBox["\[PartialD]", "x", "n"], 
      SubsuperscriptBox["\[PartialD]", "y", "k"]}]]}]}], 
  "Subsection"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   SubscriptBox["\[Alpha]", 
    RowBox[{"n", ",", "k"}]], ":=", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      RowBox[{"n", "!"}], 
      RowBox[{"k", "!"}]}]], 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[PartialD]", 
       RowBox[{"n", "+", "k"}]], 
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"x", ",", "y"}], "]"}]}], 
     RowBox[{
      SubsuperscriptBox["\[PartialD]", "x", "n"], 
      SubsuperscriptBox["\[PartialD]", "y", "k"]}]]}]}], 
  "Subsection"]}], "Input",
 CellChangeTimes->{{3.5798124571651506`*^9, 3.5798124941492662`*^9}, {
   3.5798125249450274`*^9, 3.5798128130975094`*^9}, {3.5798128578800707`*^9, 
   3.5798130145120296`*^9}, {3.5798201518612623`*^9, 
   3.5798202092525454`*^9}, {3.579820248883812*^9, 3.579820368699665*^9}, {
   3.5798204086989527`*^9, 3.579820466570263*^9}, 3.5798207503954964`*^9, {
   3.579820811278979*^9, 3.579820837975506*^9}, {3.5798209291297197`*^9, 
   3.579820991830306*^9}, {3.5804619542442923`*^9, 3.58046199837677*^9}, {
   3.5804620342880335`*^9, 3.580462035785636*^9}, {3.580791152906383*^9, 
   3.580791191859583*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Disclaimer", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}}],

Cell["\<\
Date: June 21, 2013.

This file was created by: Matthew Lorig, Stefano Pagliarani and Andrea \
Pascucci.

These Mathematica notebooks are provided on an \[OpenCurlyDoubleQuote]as is\
\[CloseCurlyDoubleQuote] basis without warranty of any kind, express or \
implied. Under no circumstances and under no legal theory, whether in tort, \
contract, or otherwise, shall the authors be liable to you or to any other \
person for any indirect, special, incidental, or consequential damages or \
losses. If you do not agree with these terms, then you are advised to not use \
the notebooks.

Please do no redistribute these notebooks.  If you wish to endorse the \
notebooks, then please link to the web-pages of the authors:
http://www.princeton.edu/~mlorig/
http://www.math.unipd.it/~stefanop/
http://www.dm.unibo.it/~pascucci/\
\>", "Text",
 CellChangeTimes->{{3.5127369954359856`*^9, 3.512737125359417*^9}, {
   3.5127371655637164`*^9, 3.5127371663597617`*^9}, {3.512814058730217*^9, 
   3.512814058891226*^9}, 3.526199505602*^9, 3.5268335032155323`*^9, {
   3.5272388928125*^9, 3.527238893671875*^9}, {3.5804506352987995`*^9, 
   3.580450646016018*^9}, 3.5804510585431423`*^9, {3.580462057828474*^9, 
   3.580462064864087*^9}, {3.580791197834383*^9, 3.580791197943583*^9}}],

Cell[TextData[StyleBox["", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}, 
   3.580451009169056*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"To", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"0", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"1", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"0", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"2", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"1", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"0", ",", "2"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"3", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"2", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"1", ",", "2"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"a", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      SubscriptBox["a", 
       RowBox[{"0", ",", "3"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"0", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"1", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"0", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"2", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"1", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"0", ",", "2"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"3", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"2", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"1", ",", "2"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      SubscriptBox["b", 
       RowBox[{"0", ",", "3"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"0", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"1", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"0", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"2", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"1", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"0", ",", "2"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"3", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"2", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"1", ",", "2"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      SubscriptBox["c", 
       RowBox[{"0", ",", "3"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"0", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"1", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"0", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"2", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"2", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"1", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "2"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"0", ",", "2"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"3", ",", "0"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"3", ",", "0"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"2", ",", "1"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"2", ",", "1"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"1", ",", "2"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"1", ",", "2"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"0", ",", "3"}], "]"}], "\[Rule]", 
      SubscriptBox["\[Alpha]", 
       RowBox[{"0", ",", "3"}]]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"filename", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ImpVolAlgebra-1.00.mx\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "filename", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]0", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"\[Sigma]00", "[", 
    RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]1", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]10", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]01", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]2", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]20", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]11", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]02", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]3", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]30", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]21", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]12", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]03", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]", "[", 
    RowBox[{"t_", ",", "x_", ",", "y_", ",", "x0_", ",", "y0_", ",", "k_"}], 
    "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]0", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]1", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]2", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], "]"}],
     "+", "\[IndentingNewLine]", 
    RowBox[{"\[Sigma]3", "[", 
     RowBox[{"t", ",", "x", ",", "y", ",", "x0", ",", "y0", ",", "k"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<\[Sigma] = \!\(\*SubscriptBox[\(\[Sigma]\), \(0\)]\) + \
\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\) + \!\(\*SubscriptBox[\(\[Sigma]\), \
\(2\)]\) + \!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(0\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]0", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]1", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"aaaa", "=", 
  RowBox[{
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Sigma]2", "[", 
       RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}],
       "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
   RowBox[{"z", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"k", "-", "x"}], ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  "\"\<------ \!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\) ------\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]3", "[", 
      RowBox[{"t", ",", "0", ",", "y", ",", "0", ",", "y", ",", "z"}], "]"}], 
     "/.", "To"}], ",", "z", ",", "Simplify"}], "]"}], "/.", 
  RowBox[{"z", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{"k", "-", "x"}], ")"}]}]}]}], "Input",
 CellChangeTimes->{{3.579811161693054*^9, 3.5798112841680593`*^9}, {
  3.5798113173359566`*^9, 3.579811393531315*^9}, {3.5798114297203846`*^9, 
  3.579811454398796*^9}, {3.5798115978219995`*^9, 3.57981160745755*^9}, {
  3.579811646242769*^9, 3.5798117170978217`*^9}, {3.5798117680487356`*^9, 
  3.5798117700478497`*^9}, {3.5798118309673347`*^9, 3.579811850923476*^9}, {
  3.5798119485080576`*^9, 3.579811952097263*^9}, {3.5798120108566236`*^9, 
  3.5798120236893578`*^9}, {3.579812172902892*^9, 3.5798122248738647`*^9}, {
  3.5798122689493856`*^9, 3.5798122697664323`*^9}, {3.579812840724089*^9, 
  3.5798128422821784`*^9}, {3.5798210746760445`*^9, 3.579821145437092*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"\[Sigma] = \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \
\\(0\\)]\\) + \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(1\\)]\\) + \
\\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(2\\)]\\) + \\!\\(\\*SubscriptBox[\\(\
\[Sigma]\\), \\(3\\)]\\)\"\>"], "Print",
 CellChangeTimes->{
  3.57981148821373*^9, {3.57981170238198*^9, 3.579811717842864*^9}, 
   3.579811774628112*^9, 3.5798118550387115`*^9, 3.579811953330333*^9, 
   3.5798120267315316`*^9, 3.5798122266739674`*^9, 3.579812273252632*^9, 
   3.579821159976923*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(0\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.57981148821373*^9, {3.57981170238198*^9, 3.579811717842864*^9}, 
   3.579811774628112*^9, 3.5798118550387115`*^9, 3.579811953330333*^9, 
   3.5798120267315316`*^9, 3.5798122266739674`*^9, 3.579812273252632*^9, 
   3.5798211599799232`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  SqrtBox["2"], " ", 
  SqrtBox[
   SubscriptBox["a", 
    RowBox[{"0", ",", "0"}]]]}]], "Output",
 CellChangeTimes->{
  3.57981148821573*^9, {3.57981170238398*^9, 3.579811717844864*^9}, 
   3.579811774630112*^9, 3.5798118550427113`*^9, 3.5798119533323336`*^9, 
   3.579812026733532*^9, 3.5798122266759677`*^9, 3.579812273255632*^9, 
   3.5798211599829235`*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(1\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.57981148821373*^9, {3.57981170238198*^9, 3.579811717842864*^9}, 
   3.579811774628112*^9, 3.5798118550387115`*^9, 3.579811953330333*^9, 
   3.5798120267315316`*^9, 3.5798122266739674`*^9, 3.579812273252632*^9, 
   3.579821159986924*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", "-", "x"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "0"}]], " ", 
       SubscriptBox["a", 
        RowBox[{"1", ",", "0"}]]}], "+", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"0", ",", "1"}]], " ", 
       SubscriptBox["c", 
        RowBox[{"0", ",", "0"}]]}]}], ")"}]}], 
   RowBox[{"4", " ", 
    SqrtBox["2"], " ", 
    SubsuperscriptBox["a", 
     RowBox[{"0", ",", "0"}], 
     RowBox[{"3", "/", "2"}]]}]], "+", 
  FractionBox[
   RowBox[{"t", " ", 
    SubscriptBox["a", 
     RowBox[{"0", ",", "1"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["c", 
       RowBox[{"0", ",", "0"}]], "+", 
      RowBox[{"2", " ", 
       SubscriptBox["\[Alpha]", 
        RowBox[{"0", ",", "0"}]]}]}], ")"}]}], 
   RowBox[{"4", " ", 
    SqrtBox["2"], " ", 
    SqrtBox[
     SubscriptBox["a", 
      RowBox[{"0", ",", "0"}]]]}]]}]], "Output",
 CellChangeTimes->{
  3.57981148821573*^9, {3.57981170238398*^9, 3.579811717844864*^9}, 
   3.579811774630112*^9, 3.5798118550427113`*^9, 3.5798119533323336`*^9, 
   3.579812026733532*^9, 3.5798122266759677`*^9, 3.579812273255632*^9, 
   3.579821160005925*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(2\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.57981148821373*^9, {3.57981170238198*^9, 3.579811717842864*^9}, 
   3.579811774628112*^9, 3.5798118550387115`*^9, 3.579811953330333*^9, 
   3.5798120267315316`*^9, 3.5798122266739674`*^9, 3.579812273252632*^9, 
   3.579821160009925*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"96", " ", 
     SqrtBox["2"], " ", 
     SubsuperscriptBox["a", 
      RowBox[{"0", ",", "0"}], 
      RowBox[{"7", "/", "2"}]]}]], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"32", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "3"], " ", 
       SubscriptBox["a", 
        RowBox[{"2", ",", "0"}]]}], "-", 
      RowBox[{"9", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "1"}], "2"], " ", 
       SubsuperscriptBox["c", 
        RowBox[{"0", ",", "0"}], "2"]}], "+", 
      RowBox[{"4", " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "0"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          SubscriptBox["b", 
           RowBox[{"0", ",", "0"}]]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "2"}]], " ", 
          SubsuperscriptBox["c", 
           RowBox[{"0", ",", "0"}], "2"]}], "+", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "5"}], " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]]}], "+", 
            SubscriptBox["c", 
             RowBox[{"0", ",", "1"}]]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{"4", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "3"}], " ", 
          SubsuperscriptBox["a", 
           RowBox[{"1", ",", "0"}], "2"]}], "+", 
         RowBox[{"4", " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"96", " ", 
     SqrtBox["2"], " ", 
     SubsuperscriptBox["a", 
      RowBox[{"0", ",", "0"}], 
      RowBox[{"5", "/", "2"}]]}]], 
   RowBox[{"t", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", "t", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"1", ",", "0"}], "2"]}], "+", 
         RowBox[{"32", " ", 
          SubscriptBox["a", 
           RowBox[{"2", ",", "0"}]]}]}], ")"}]}], "+", 
      RowBox[{"9", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "1"}], "2"], " ", 
       SubsuperscriptBox["c", 
        RowBox[{"0", ",", "0"}], "2"]}], "-", 
      RowBox[{"2", " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "0"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "2"}]], " ", 
          SubsuperscriptBox["c", 
           RowBox[{"0", ",", "0"}], "2"]}], "-", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["a", 
             RowBox[{"1", ",", "0"}]], "-", 
            RowBox[{"2", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}]}], ")"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"8", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"3", " ", "t", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               SubscriptBox["\[Alpha]", 
                RowBox[{"0", ",", "0"}]]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
      "+", 
      RowBox[{"2", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "6"}], " ", 
          SubsuperscriptBox["a", 
           RowBox[{"1", ",", "0"}], "2"]}], "-", 
         RowBox[{"t", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "0"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "t", " ", 
             SubsuperscriptBox["a", 
              RowBox[{"0", ",", "1"}], "2"], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"4", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"12", " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"t", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], "+", 
                   RowBox[{"2", " ", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}], "2"]}]}], ")"}]}], 
            "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "0"}]]}], "+", 
               RowBox[{"t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "1"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}], "+", 
               RowBox[{"2", " ", "t", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "1"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}]}], 
           ")"}]}]}], ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"96", " ", 
     SqrtBox["2"], " ", 
     SubsuperscriptBox["a", 
      RowBox[{"0", ",", "0"}], 
      RowBox[{"5", "/", "2"}]]}]], 
   RowBox[{"t", " ", 
    RowBox[{"(", 
     RowBox[{"k", "-", "x"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "9"}], " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "1"}], "2"], " ", 
       SubscriptBox["c", 
        RowBox[{"0", ",", "0"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["c", 
          RowBox[{"0", ",", "0"}]], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["\[Alpha]", 
           RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
      RowBox[{
       SubscriptBox["a", 
        RowBox[{"0", ",", "0"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"16", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "2"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"0", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "10"}], " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"8", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "1"}]], "+", 
                  SubscriptBox["\[Alpha]", 
                   RowBox[{"0", ",", "1"}]]}], ")"}]}]}], ")"}]}]}], 
           ")"}]}]}], ")"}]}], "+", 
      RowBox[{"8", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"0", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"1", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}]}], 
     ")"}]}]}]}]], "Output",
 CellChangeTimes->{
  3.57981148821573*^9, {3.57981170238398*^9, 3.579811717844864*^9}, 
   3.579811774630112*^9, 3.5798118550427113`*^9, 3.5798119533323336`*^9, 
   3.579812026733532*^9, 3.5798122266759677`*^9, 3.579812273255632*^9, 
   3.579821160534955*^9}],

Cell[BoxData["\<\"------ \\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(3\\)]\\) \
------\"\>"], "Print",
 CellChangeTimes->{
  3.57981148821373*^9, {3.57981170238198*^9, 3.579811717842864*^9}, 
   3.579811774628112*^9, 3.5798118550387115`*^9, 3.579811953330333*^9, 
   3.5798120267315316`*^9, 3.5798122266739674`*^9, 3.579812273252632*^9, 
   3.579821160546956*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", 
    RowBox[{"192", " ", 
     SqrtBox["2"], " ", 
     SubsuperscriptBox["a", 
      RowBox[{"0", ",", "0"}], 
      RowBox[{"11", "/", "2"}]]}]], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}], "3"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"48", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "5"], " ", 
       SubscriptBox["a", 
        RowBox[{"3", ",", "0"}]]}], "+", 
      RowBox[{"12", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "1"}], "3"], " ", 
       SubsuperscriptBox["c", 
        RowBox[{"0", ",", "0"}], "3"]}], "-", 
      RowBox[{"9", " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "0"}]], " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "1"}]], " ", 
       SubscriptBox["c", 
        RowBox[{"0", ",", "0"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          SubscriptBox["b", 
           RowBox[{"0", ",", "0"}]]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "2"}]], " ", 
          SubsuperscriptBox["c", 
           RowBox[{"0", ",", "0"}], "2"]}], "+", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]]}], "+", 
            SubscriptBox["c", 
             RowBox[{"0", ",", "1"}]]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SubsuperscriptBox["c", 
           RowBox[{"0", ",", "0"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "3"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "11"}], " ", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "0"}]]}], "+", 
               RowBox[{"3", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}], "+", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"36", " ", 
             SubsuperscriptBox["a", 
              RowBox[{"1", ",", "0"}], "2"]}], "+", 
            RowBox[{"20", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"25", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"11", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "+", 
            SubsuperscriptBox["c", 
             RowBox[{"0", ",", "1"}], "2"], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "2"}]]}]}], ")"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "24"}], " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"6", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"13", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"6", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"1", ",", "0"}], "3"]}], "+", 
         RowBox[{"2", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          SubscriptBox["b", 
           RowBox[{"1", ",", "0"}]]}], "-", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"1", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"9", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{"3", " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"10", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"14", " ", 
             SubscriptBox["a", 
              RowBox[{"2", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "1"}]]}]}], ")"}]}]}], ")"}]}], "+", 
      RowBox[{"4", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "10"}], " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "0"}]], " ", 
          SubscriptBox["a", 
           RowBox[{"2", ",", "0"}]]}], "+", 
         RowBox[{"6", " ", 
          SubscriptBox["a", 
           RowBox[{"2", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]]}], "+", 
         RowBox[{"3", " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"1", ",", "0"}]]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"2", ",", "0"}]]}]}], ")"}]}]}], ")"}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"768", " ", 
     SqrtBox["2"], " ", 
     SubsuperscriptBox["a", 
      RowBox[{"0", ",", "0"}], 
      RowBox[{"9", "/", "2"}]]}]], 
   RowBox[{"t", " ", 
    RowBox[{"(", 
     RowBox[{"k", "-", "x"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"32", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "5"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"t", " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "0"}]], " ", 
          SubscriptBox["a", 
           RowBox[{"2", ",", "0"}]]}], "-", 
         RowBox[{"12", " ", 
          SubscriptBox["a", 
           RowBox[{"3", ",", "0"}]]}]}], ")"}]}], "+", 
      RowBox[{"105", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "1"}], "3"], " ", 
       SubsuperscriptBox["c", 
        RowBox[{"0", ",", "0"}], "3"]}], "-", 
      RowBox[{"6", " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "0"}]], " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "1"}]], " ", 
       SubscriptBox["c", 
        RowBox[{"0", ",", "0"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"40", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "2"}]], " ", 
          SubsuperscriptBox["c", 
           RowBox[{"0", ",", "0"}], "2"]}], "-", 
         RowBox[{"5", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"5", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]]}], "-", 
            RowBox[{"4", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}]}], ")"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"40", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"t", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"]}], "+", 
               RowBox[{"15", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"15", " ", 
                SubsuperscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}], "2"]}]}], ")"}]}]}], ")"}]}]}], 
        ")"}]}], "+", 
      RowBox[{"2", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "20"}], " ", "t", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "3"], " ", 
          SubscriptBox["b", 
           RowBox[{"0", ",", "0"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]]}], "+", 
         RowBox[{"72", " ", 
          SubsuperscriptBox["c", 
           RowBox[{"0", ",", "0"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "3"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "0"}]]}], "+", 
               SubscriptBox["c", 
                RowBox[{"0", ",", "1"}]]}], ")"}]}]}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SubsuperscriptBox["a", 
              RowBox[{"1", ",", "0"}], "2"]}], "-", 
            RowBox[{"18", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "9"}], " ", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "1"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"3", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "1"}], "2"]}], "+", 
               RowBox[{"6", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]]}], "+", 
               RowBox[{
                SubscriptBox["a", 
                 RowBox[{"0", ",", "2"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"96", " ", 
                   SubscriptBox["b", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"7", " ", "t", " ", 
                   SubsuperscriptBox["c", 
                    RowBox[{"0", ",", "0"}], "2"]}], "+", 
                  RowBox[{"36", " ", "t", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"36", " ", "t", " ", 
                   SubsuperscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}], "2"]}]}], ")"}]}]}], ")"}]}]}], 
           ")"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"24", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"72", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "+", 
            RowBox[{"14", " ", "t", " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "0"}], "2"], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"60", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}], "+", 
            RowBox[{"48", " ", "t", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"24", " ", "t", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubsuperscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}], "2"]}], "-", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"96", " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"7", " ", "t", " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubsuperscriptBox["c", 
                   RowBox[{"0", ",", "0"}], "2"], "+", 
                  RowBox[{"6", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"6", " ", 
                   SubsuperscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}], "2"]}]}], ")"}]}]}], ")"}]}], 
            "+", 
            RowBox[{"24", " ", "t", " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "0"}], "2"], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}], "+", 
            RowBox[{"48", " ", "t", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"12", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"1", ",", "0"}], "3"]}], "+", 
         RowBox[{"t", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubsuperscriptBox["a", 
           RowBox[{"1", ",", "0"}], "2"], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"8", " ", "t", " ", 
             SubsuperscriptBox["a", 
              RowBox[{"0", ",", "1"}], "2"], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"4", " ", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "1"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{
                SubscriptBox["a", 
                 RowBox[{"0", ",", "2"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"40", " ", 
                   SubscriptBox["b", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"5", " ", "t", " ", 
                   SubsuperscriptBox["c", 
                    RowBox[{"0", ",", "0"}], "2"]}], "+", 
                  RowBox[{"16", " ", "t", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"16", " ", "t", " ", 
                   SubsuperscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}], "2"]}]}], ")"}]}]}], ")"}]}], 
            "-", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"5", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}], "+", 
                  RowBox[{"8", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}], "+", 
               RowBox[{"4", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "3"}], " ", 
                   SubscriptBox["c", 
                    RowBox[{"1", ",", "0"}]]}], "+", 
                  RowBox[{"2", " ", "t", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]], "+", 
                    RowBox[{"2", " ", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}]}], 
              ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", " ", 
                   SubscriptBox["a", 
                    RowBox[{"1", ",", "2"}]], " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{
                   SubscriptBox["a", 
                    RowBox[{"1", ",", "1"}]], " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}], "+", 
               RowBox[{"3", " ", 
                SubscriptBox["a", 
                 RowBox[{"0", ",", "3"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"32", " ", 
                   SubscriptBox["b", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"3", " ", "t", " ", 
                   SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], "+", 
                    RowBox[{"2", " ", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}], "2"]}]}], ")"}]}], 
               "+", 
               RowBox[{
                SubscriptBox["a", 
                 RowBox[{"0", ",", "2"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"16", " ", 
                   SubscriptBox["b", 
                    RowBox[{"0", ",", "1"}]], " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"32", " ", 
                   SubscriptBox["b", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}], "+", 
                  RowBox[{"9", " ", "t", " ", 
                   SubsuperscriptBox["c", 
                    RowBox[{"0", ",", "0"}], "2"], " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}], "-", 
                  RowBox[{"20", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["c", 
                    RowBox[{"1", ",", "0"}]]}], "+", 
                  RowBox[{"24", " ", "t", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"12", " ", "t", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]], " ", 
                   SubsuperscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}], "2"]}], "+", 
                  RowBox[{"12", " ", "t", " ", 
                   SubsuperscriptBox["c", 
                    RowBox[{"0", ",", "0"}], "2"], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}], "+", 
                  RowBox[{"24", " ", "t", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"20", " ", "t", " ", 
                SubscriptBox["a", 
                 RowBox[{"0", ",", "2"}]], " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{"3", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "1"}], "2"]}], "-", 
               RowBox[{"32", " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]]}], "-", 
               RowBox[{"6", " ", "t", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]]}], "+", 
               RowBox[{"12", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "0"}]]}], "+", 
               RowBox[{"8", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "1"}]]}], "-", 
               RowBox[{"4", " ", "t", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "1"}], "2"], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{"16", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{"8", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]], " ", 
                SubsuperscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}], "2"]}], "+", 
               RowBox[{
                SubscriptBox["a", 
                 RowBox[{"1", ",", "1"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"56", " ", 
                   SubscriptBox["b", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"3", " ", "t", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    SubsuperscriptBox["c", 
                    RowBox[{"0", ",", "0"}], "2"], "+", 
                    RowBox[{"8", " ", 
                    SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                    RowBox[{"8", " ", 
                    SubsuperscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}], "2"]}]}], ")"}]}]}], ")"}]}], 
               "-", 
               RowBox[{"8", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}], "-", 
               RowBox[{"8", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}], "-", 
               RowBox[{"4", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubsuperscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}], "2"]}], "-", 
               RowBox[{"8", " ", "t", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "2"}]]}], "-", 
               RowBox[{"16", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "2"}]]}]}], ")"}]}], "+", 
            RowBox[{
             SubsuperscriptBox["a", 
              RowBox[{"0", ",", "1"}], "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"24", " ", 
                SubscriptBox["b", 
                 RowBox[{"1", ",", "0"}]]}], "+", 
               RowBox[{"t", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", " ", 
                   SubscriptBox["b", 
                    RowBox[{"0", ",", "1"}]], " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"6", " ", 
                   SubscriptBox["b", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}], "+", 
                  RowBox[{"3", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["c", 
                    RowBox[{"1", ",", "0"}]]}], "+", 
                  RowBox[{"8", " ", 
                   SubscriptBox["c", 
                    RowBox[{"1", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"8", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"1", ",", "0"}]]}], "+", 
                  RowBox[{"16", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}]}], 
           ")"}]}]}], ")"}]}], "+", 
      RowBox[{"4", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"t", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"1", ",", "0"}], "3"]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SubscriptBox["a", 
              RowBox[{"2", ",", "0"}]]}], "+", 
            RowBox[{"2", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "t", " ", 
             SubsuperscriptBox["a", 
              RowBox[{"0", ",", "1"}], "2"], " ", 
             SubscriptBox["b", 
              RowBox[{"1", ",", "0"}]]}], "-", 
            RowBox[{"32", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["b", 
              RowBox[{"1", ",", "0"}]]}], "-", 
            RowBox[{"24", " ", 
             SubscriptBox["a", 
              RowBox[{"2", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"3", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "+", 
            RowBox[{"4", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}], "-", 
            RowBox[{"6", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}], "-", 
            RowBox[{"6", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"12", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"2", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "2"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"32", " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"3", " ", "t", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], "+", 
                   RowBox[{"2", " ", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}], "2"]}]}], ")"}]}], 
            "-", 
            RowBox[{"6", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"12", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"12", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"1", ",", "0"}]]}], "-", 
            RowBox[{"24", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"1", ",", "0"}]]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"10", " ", "t", " ", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "1"}]], " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"2", " ", "t", " ", 
                SubscriptBox["a", 
                 RowBox[{"2", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{"t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "0"}]]}], "-", 
               RowBox[{"2", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "1"}]]}], "+", 
               RowBox[{"8", " ", 
                SubscriptBox["c", 
                 RowBox[{"2", ",", "0"}]]}], "-", 
               RowBox[{"4", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{"2", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}], "-", 
               RowBox[{"2", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "0"}]]}], "-", 
               RowBox[{"4", " ", "t", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "0"}]]}], "-", 
               RowBox[{"4", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "1"}]]}], "-", 
               RowBox[{"8", " ", "t", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "1"}]]}]}], ")"}]}]}], ")"}]}]}], 
        ")"}]}]}], ")"}]}]}], "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"768", " ", 
     SqrtBox["2"], " ", 
     SubsuperscriptBox["a", 
      RowBox[{"0", ",", "0"}], 
      RowBox[{"9", "/", "2"}]]}]], 
   RowBox[{"t", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"k", "-", "x"}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"63", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "1"}], "3"], " ", 
       SubsuperscriptBox["c", 
        RowBox[{"0", ",", "0"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["c", 
          RowBox[{"0", ",", "0"}]], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["\[Alpha]", 
           RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "-", 
      RowBox[{"4", " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "0"}]], " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "1"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"10", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          SubscriptBox["b", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"0", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{"34", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "2"}]], " ", 
          SubsuperscriptBox["c", 
           RowBox[{"0", ",", "0"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"0", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"22", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"31", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"17", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]]}], "+", 
               RowBox[{"12", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
      "+", 
      RowBox[{"4", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"6", " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "3"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"4", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{"5", " ", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "0"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
               RowBox[{
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"3", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}]}], 
           ")"}]}], "+", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "27"}], " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "0"}], "2"]}], "+", 
            RowBox[{"3", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "1"}], "2"]}], "+", 
            RowBox[{"6", " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "0"}], "2"], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "2"}]]}], "-", 
            RowBox[{"54", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"2", " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "1"}], "2"], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"8", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"15", " ", 
             SubsuperscriptBox["a", 
              RowBox[{"1", ",", "0"}], "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"20", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"4", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"16", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"15", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}], "+", 
                  RowBox[{"14", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}], "+", 
            RowBox[{"4", " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "0"}], "2"], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "2"}]]}]}], ")"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "15"}], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}], "-", 
            RowBox[{"16", " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"6", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "1"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}]}], ")"}]}], "-", 
            RowBox[{"14", " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}], "-", 
      RowBox[{"8", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"1", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"9", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"5", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"1", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "3"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "2"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "0"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
               RowBox[{
                SubscriptBox["a", 
                 RowBox[{"1", ",", "1"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]], "+", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}], ")"}]}]}], ")"}]}], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["a", 
                 RowBox[{"0", ",", "2"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   SubscriptBox["c", 
                    RowBox[{"1", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["c", 
                    RowBox[{"1", ",", "0"}]], "+", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"1", ",", "0"}]]}], ")"}]}]}], ")"}]}]}], ")"}]}],
             "-", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "1"}]]}], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{"4", " ", 
                SubscriptBox["a", 
                 RowBox[{"2", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "0"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
               RowBox[{
                SubscriptBox["c", 
                 RowBox[{"1", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}], "+", 
               RowBox[{
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"1", ",", "0"}]], "+", 
                  SubscriptBox["\[Alpha]", 
                   RowBox[{"1", ",", "0"}]]}], ")"}]}], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "1"}]]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
      "+", 
      RowBox[{"16", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"6", " ", 
          SubscriptBox["a", 
           RowBox[{"2", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"0", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{"3", " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"1", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"1", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"2", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"2", ",", "0"}]]}]}], ")"}]}]}], ")"}]}]}], ")"}]}]}], 
  "+", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"768", " ", 
     SqrtBox["2"], " ", 
     SubsuperscriptBox["a", 
      RowBox[{"0", ",", "0"}], 
      RowBox[{"7", "/", "2"}]]}]], 
   RowBox[{
    SuperscriptBox["t", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "45"}], " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "1"}], "3"], " ", 
       SubsuperscriptBox["c", 
        RowBox[{"0", ",", "0"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["c", 
          RowBox[{"0", ",", "0"}]], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["\[Alpha]", 
           RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
      RowBox[{"3", " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "0"}]], " ", 
       SubscriptBox["a", 
        RowBox[{"0", ",", "1"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"48", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "2"}]], " ", 
          SubsuperscriptBox["c", 
           RowBox[{"0", ",", "0"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"0", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"0", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"16", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"t", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"]}], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"2", " ", 
                SubsuperscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}], "2"]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"4", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"4", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"3", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}]}], 
           ")"}]}]}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", "t", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "3"], " ", 
          SubscriptBox["b", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["c", 
             RowBox[{"0", ",", "0"}]], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "-", 
         RowBox[{"24", " ", 
          SubscriptBox["c", 
           RowBox[{"0", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "3"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"4", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{
                SubscriptBox["a", 
                 RowBox[{"1", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "0"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
               RowBox[{
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"3", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}]}], 
           ")"}]}], "+", 
         RowBox[{"2", " ", 
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SubsuperscriptBox["a", 
              RowBox[{"1", ",", "0"}], "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"6", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]]}], "+", 
                  RowBox[{"4", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "1"}], "2"]}], "+", 
               RowBox[{"6", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]]}], "+", 
               RowBox[{"2", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "1"}], "2"], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"8", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{
                SubscriptBox["a", 
                 RowBox[{"1", ",", "1"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "0"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
               RowBox[{
                SubscriptBox["a", 
                 RowBox[{"0", ",", "2"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "0"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"32", " ", 
                   SubscriptBox["b", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"t", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    SubsuperscriptBox["c", 
                    RowBox[{"0", ",", "0"}], "2"]}], "+", 
                    RowBox[{"4", " ", 
                    SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], " ", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                    RowBox[{"4", " ", 
                    SubsuperscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}], "2"]}]}], ")"}]}]}], ")"}]}], 
               "+", 
               RowBox[{"4", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}], "+", 
               RowBox[{"4", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "2"}]]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"8", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"t", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "t"}], " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]]}], "+", 
               RowBox[{"12", " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "1"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}], "+", 
               RowBox[{"4", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "4"}], " ", 
                   SubscriptBox["c", 
                    RowBox[{"1", ",", "0"}]]}], "+", 
                  RowBox[{"t", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]], "+", 
                    RowBox[{"2", " ", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}]}], ")"}]}], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "5"}], " ", 
                   SubscriptBox["c", 
                    RowBox[{"1", ",", "0"}]]}], "+", 
                  RowBox[{"t", " ", 
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "1"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}], "+", 
                  RowBox[{"4", " ", "t", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]], " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}], "-", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}]}], 
           ")"}]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "16"}], " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"8", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "2"}]], " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "0"}], "2"]}], "-", 
            RowBox[{"32", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"4", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"3", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "0"}], "2"], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]]}], "+", 
            RowBox[{"8", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]]}], "-", 
            RowBox[{"32", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"16", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"4", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"12", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "+", 
            RowBox[{"24", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"1", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]]}], "-", 
            RowBox[{"12", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "1"}]], " ", 
             SubsuperscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}], "2"]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"6", " ", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "1"}]]}], "+", 
               RowBox[{"t", " ", 
                SubscriptBox["a", 
                 RowBox[{"0", ",", "2"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "-", 
            RowBox[{"3", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "3"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"32", " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"t", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SubscriptBox["c", 
                    RowBox[{"0", ",", "0"}]], "+", 
                   RowBox[{"2", " ", 
                    SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}], "2"]}]}], ")"}]}], 
            "-", 
            RowBox[{"64", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"4", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"6", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubsuperscriptBox["c", 
              RowBox[{"0", ",", "0"}], "2"], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"24", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"24", " ", "t", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubsuperscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "0"}], "2"], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"0", ",", "1"}]]}], "-", 
            RowBox[{"8", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "2"}]], " ", 
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             SubscriptBox["\[Alpha]", 
              RowBox[{"1", ",", "0"}]]}]}], ")"}]}], "+", 
         RowBox[{"2", " ", "t", " ", 
          SubsuperscriptBox["a", 
           RowBox[{"0", ",", "1"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"6", " ", 
             SubscriptBox["b", 
              RowBox[{"0", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "1"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}]}], ")"}]}], "+", 
            RowBox[{
             SubscriptBox["c", 
              RowBox[{"0", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"1", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}], "+", 
         RowBox[{
          SubscriptBox["a", 
           RowBox[{"0", ",", "1"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"t", " ", 
             SubsuperscriptBox["a", 
              RowBox[{"1", ",", "0"}], "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["a", 
              RowBox[{"1", ",", "0"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "1"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "1"}]]}]}], ")"}]}], "+", 
               RowBox[{"4", " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"1", ",", "0"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}], "-", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "t"}], " ", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "1"}]], " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"]}], "+", 
               RowBox[{"t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "1"}], "2"]}], "+", 
               RowBox[{"32", " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]]}], "+", 
               RowBox[{"2", " ", "t", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]]}], "-", 
               RowBox[{"8", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "0"}]]}], "-", 
               RowBox[{"2", " ", "t", " ", 
                SubscriptBox["a", 
                 RowBox[{"1", ",", "1"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"2", " ", "t", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "1"}], "2"], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"8", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "-", 
               RowBox[{"16", " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}], "+", 
               RowBox[{"8", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "2"}]], " ", 
                SubsuperscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}], "2"]}], "+", 
               RowBox[{"8", " ", 
                SubscriptBox["a", 
                 RowBox[{"2", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "0"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "-", 
               RowBox[{"20", " ", "t", " ", 
                SubscriptBox["a", 
                 RowBox[{"0", ",", "2"}]], " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]], " ", 
                RowBox[{"(", 
                 RowBox[{
                  SubscriptBox["c", 
                   RowBox[{"0", ",", "0"}]], "+", 
                  RowBox[{"2", " ", 
                   SubscriptBox["\[Alpha]", 
                    RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
               RowBox[{"4", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}], "-", 
               RowBox[{"8", " ", 
                SubscriptBox["c", 
                 RowBox[{"1", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}], "+", 
               RowBox[{"8", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}]]}], "+", 
               RowBox[{"4", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubsuperscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}], "2"]}], "+", 
               RowBox[{"8", " ", "t", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubsuperscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "1"}], "2"]}], "+", 
               RowBox[{"64", " ", 
                SubscriptBox["b", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "2"}]]}], "+", 
               RowBox[{"4", " ", "t", " ", 
                SubsuperscriptBox["c", 
                 RowBox[{"0", ",", "0"}], "2"], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "2"}]]}], "+", 
               RowBox[{"16", " ", "t", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "2"}]]}], "+", 
               RowBox[{"16", " ", "t", " ", 
                SubsuperscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}], "2"], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "2"}]]}], "-", 
               RowBox[{"8", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "1"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "0"}]]}], "+", 
               RowBox[{"16", " ", 
                SubscriptBox["c", 
                 RowBox[{"0", ",", "0"}]], " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "1"}]]}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
      "-", 
      RowBox[{"8", " ", 
       SubsuperscriptBox["a", 
        RowBox[{"0", ",", "0"}], "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"t", " ", 
          SubscriptBox["a", 
           RowBox[{"1", ",", "0"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"1", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "0"}]]}]}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SubscriptBox["a", 
              RowBox[{"2", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"0", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"0", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{
             SubscriptBox["a", 
              RowBox[{"1", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"1", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"1", ",", "0"}]]}]}], ")"}]}], "+", 
            RowBox[{"2", " ", 
             SubscriptBox["a", 
              RowBox[{"0", ",", "1"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["c", 
                RowBox[{"2", ",", "0"}]], "+", 
               RowBox[{"2", " ", 
                SubscriptBox["\[Alpha]", 
                 RowBox[{"2", ",", "0"}]]}]}], ")"}]}]}], ")"}]}]}], 
        ")"}]}]}], ")"}]}]}]}]], "Output",
 CellChangeTimes->{
  3.57981148821573*^9, {3.57981170238398*^9, 3.579811717844864*^9}, 
   3.579811774630112*^9, 3.5798118550427113`*^9, 3.5798119533323336`*^9, 
   3.579812026733532*^9, 3.5798122266759677`*^9, 3.579812273255632*^9, 
   3.5798211660092683`*^9}]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1399, 783},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[550, 20, 6752, 217, 835, "Input"],
Cell[CellGroupData[{
Cell[7327, 241, 173, 3, 68, "Section"],
Cell[7503, 246, 1280, 25, 239, "Text"],
Cell[8786, 273, 189, 4, 68, "Section"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9012, 282, 13646, 356, 1472, "Input"],
Cell[CellGroupData[{
Cell[22683, 642, 517, 8, 23, "Print"],
Cell[23203, 652, 362, 6, 23, "Print"]
}, Open  ]],
Cell[23580, 661, 385, 10, 39, "Output"],
Cell[23968, 673, 360, 6, 23, "Print"],
Cell[24331, 681, 1294, 43, 53, "Output"],
Cell[25628, 726, 360, 6, 23, "Print"],
Cell[25991, 734, 10938, 323, 163, "Output"],
Cell[36932, 1059, 360, 6, 23, "Print"],
Cell[37295, 1067, 87040, 2279, 824, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature jx0E7CuPDuGxNDggg9#S3eLv *)
