(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[     49459,       1190]
NotebookOptionsPosition[     48733,       1155]
NotebookOutlinePosition[     49098,       1171]
CellTagsIndexPosition[     49055,       1168]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Implied volatility expansion for the quadratic volatility model\
\>", "Section",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.597959818770582*^9, 3.597959888695898*^9}, {
   3.598691843796198*^9, 3.598691878784575*^9}, {3.598692123374341*^9, 
   3.598692149185072*^9}, {3.598695685015595*^9, 3.598695691334046*^9}, 
   3.598697015690859*^9, {3.598697566849069*^9, 3.598697567706442*^9}, {
   3.598982961426049*^9, 3.598982962721182*^9}, {3.5991317618057747`*^9, 
   3.599131764686119*^9}, {3.5995682782076883`*^9, 3.599568284377194*^9}, {
   3.599646720922594*^9, 3.599646721596258*^9}, {3.599745437899789*^9, 
   3.5997454422899103`*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Disclaimer", "Subtitle",
 FontSize->14]], "Section",
 CellChangeTimes->{
  3.5125543173858905`*^9, {3.5127369729216976`*^9, 3.5127369760808783`*^9}},
 TextAlignment->Center],

Cell["\<\
Date: 25/01/2014

This file was created by: Matthew Lorig, Stefano Pagliarani and Andrea \
Pascucci.

These Mathematica notebooks are provided on an \[OpenCurlyDoubleQuote]as is\
\[CloseCurlyDoubleQuote] basis without warranty of any kind, express or \
implied. Under no circumstances and under no legal theory, whether in tort, \
contract, or otherwise, shall the authors be liable to you or to any other \
person for any indirect, special, incidental, or consequential damages or \
losses. If you do not agree with these terms, then you are advised to not use \
the notebooks.

Please do no redistribute these notebooks.  If you wish to endorse the \
notebooks, then please link to the web-pages of the authors:
http://www.princeton.edu/~mlorig/
http://www.math.unipd.it/~stefanop/
http://www.dm.unibo.it/~pascucci/\
\>", "Text",
 CellChangeTimes->{{3.5127369954359856`*^9, 3.512737125359417*^9}, {
   3.5127371655637164`*^9, 3.5127371663597617`*^9}, {3.512814058730217*^9, 
   3.512814058891226*^9}, 3.526199505602*^9, 3.5268335032155323`*^9, {
   3.5272388928125*^9, 3.527238893671875*^9}, {3.5804506352987995`*^9, 
   3.580450646016018*^9}, 3.5804510585431423`*^9, 3.5804621638150606`*^9, {
   3.5807902968427057`*^9, 3.580790297139106*^9}, {3.590203507604435*^9, 
   3.590203507894435*^9}, {3.599580220348298*^9, 3.599580226144642*^9}}]
}, Open  ]],

Cell["The model:", "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}}],

Cell[BoxData[
 RowBox[{"      ", 
  RowBox[{
   StyleBox[
    RowBox[{
     FormBox[
      RowBox[{
       RowBox[{"d", " ", 
        SubscriptBox["S", "t"]}], "=", 
       RowBox[{
        RowBox[{"r", " ", 
         SubscriptBox["S", "t"], "dt"}], "+", 
        RowBox[{
         FractionBox[
          RowBox[{"\[Delta]", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "R"], "-", 
             SubscriptBox["S", "t"]}], ")"}], 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[ExponentialE]", "L"], "-", 
             SubscriptBox["S", "t"]}], ")"}]}], 
          RowBox[{
           SuperscriptBox["\[ExponentialE]", "R"], "-", 
           SuperscriptBox["\[ExponentialE]", "L"]}]], 
         SubscriptBox["dW", "t"]}]}]}],
      TraditionalForm], ",", "   ", 
     RowBox[{
      FormBox[
       SubscriptBox["S", "0"],
       TraditionalForm], "<", 
      FormBox[
       SuperscriptBox["\[ExponentialE]", "L"],
       TraditionalForm], "\[LessEqual]", 
      FormBox[
       SuperscriptBox["\[ExponentialE]", "R"],
       TraditionalForm]}]}],
    FontWeight->"Bold"], 
   StyleBox["\[IndentingNewLine]",
    FontWeight->"Bold"], 
   StyleBox["      ",
    FontWeight->"Bold"], "\[IndentingNewLine]", 
   RowBox[{
    SubscriptBox["S", "0"], "=", 
    RowBox[{"initial", " ", "asset", " ", "value"}]}], "\[IndentingNewLine]", 
   
   RowBox[{"r", "=", 
    RowBox[{"interest", " ", "rate"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"\[Delta]", "=", 
    RowBox[{"constant", " ", "of", " ", "volatility"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"L", "=", 
    RowBox[{"left", "-", 
     RowBox[{"hand", " ", "root"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"R", "=", 
    RowBox[{"right", "-", 
     RowBox[{"hand", " ", "root"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"K", "=", " ", "strike"}]}]}]], "DisplayFormula",
 CellChangeTimes->{{3.599204082417858*^9, 3.5992041544418583`*^9}, {
   3.5992041953508577`*^9, 3.599204302770858*^9}, {3.599204367060858*^9, 
   3.599204388841858*^9}, {3.599204441374858*^9, 3.599204454593858*^9}, {
   3.5992199520983505`*^9, 3.5992199520983505`*^9}, {3.599220130965829*^9, 
   3.599220154124208*^9}, {3.5992202886797037`*^9, 3.599220387564768*^9}, {
   3.5992206059106817`*^9, 3.5992207217895226`*^9}, {3.599567763390155*^9, 
   3.599567821014391*^9}, {3.59956790932743*^9, 3.59956797381304*^9}, {
   3.599568004875313*^9, 3.59956803166779*^9}, {3.599571620884863*^9, 
   3.5995717230302887`*^9}, {3.599572570733088*^9, 3.59957259059118*^9}, {
   3.599573191683577*^9, 3.5995732109134398`*^9}, {3.599573240968423*^9, 
   3.599573258175556*^9}, {3.599573394568679*^9, 3.5995734512328587`*^9}, {
   3.599577038731223*^9, 3.599577039306548*^9}, {3.599646283926649*^9, 
   3.599646370150305*^9}, {3.5996465855265417`*^9, 3.599646641709173*^9}, {
   3.599646680308943*^9, 3.599646689331568*^9}, 3.599657750641498*^9, {
   3.599743618778158*^9, 3.599743660442952*^9}, {3.59974370337066*^9, 
   3.599743704899785*^9}, {3.599743901182053*^9, 3.599743929118347*^9}, {
   3.599913316892733*^9, 3.5999133311319523`*^9}},
 FontFamily->"Times New Roman",
 FontSize->14,
 Background->RGBColor[1, 1, 0.85]],

Cell["\<\
Define the n-th order implied vol. expansion \[Sigma]bar[n][T, S0, K, v0, r, \
... ]:\
\>", "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}, {
   3.5995717394421453`*^9, 3.599571780029361*^9}, {3.599571861095284*^9, 
   3.599571888346801*^9}, {3.59957336260646*^9, 3.599573364659486*^9}, {
   3.599573763220446*^9, 3.599573820048551*^9}, 3.599764954067112*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
    "\"\<coefficients_IV_order3_quadratic\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"T", ",", "S0", ",", "r", ",", "\[Delta]", ",", "R", ",", "L"}], 
   "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"uBS", "[", 
    RowBox[{"T_", ",", "x_", ",", "k_", ",", "\[Sigma]_", ",", "r_"}], "]"}], 
   ":=", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "x"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Erf", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "k"}], "+", 
            RowBox[{"r", " ", "T"}], "+", "x", "+", 
            FractionBox[
             RowBox[{"T", " ", 
              SuperscriptBox["\[Sigma]", "2"]}], "2"]}], 
           RowBox[{
            SqrtBox["2"], " ", 
            SqrtBox["T"], " ", "\[Sigma]"}]], "]"}]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"k", "-", 
         RowBox[{"r", " ", "T"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", 
         RowBox[{"Erfc", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "k"}], "+", 
            RowBox[{"r", " ", "T"}], "+", "x", "-", 
            FractionBox[
             RowBox[{"T", " ", 
              SuperscriptBox["\[Sigma]", "2"]}], "2"]}], 
           RowBox[{
            SqrtBox["2"], " ", 
            SqrtBox["T"], " ", "\[Sigma]"}]], "]"}]}], ")"}]}]}], ")"}]}]}], 
  ";"}], "\n", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"j", "=", "0"}], ",", 
   RowBox[{"j", "\[LessEqual]", "4"}], ",", 
   RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"uBS\[Sigma]", "[", "j", "]"}], "[", 
      RowBox[{"T_", ",", "x_", ",", "k_", ",", "\[Sigma]_", ",", "r_"}], 
      "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"uBS", "[", 
           RowBox[{"T", ",", "x", ",", "k", ",", "\[Sigma]", ",", "r"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Sigma]", ",", "j"}], "}"}]}], "]"}], "/", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"uBS", "[", 
           RowBox[{"T", ",", "x", ",", "k", ",", "\[Sigma]", ",", "r"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[Sigma]", ",", "1"}], "}"}]}], "]"}]}], "//", 
       "Simplify"}], "//", "Evaluate"}]}], " ", ";"}]}], 
  "\[IndentingNewLine]", "]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
    RowBox[{"T_", ",", "x_", ",", "k_", ",", "y_", ",", "r_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     SqrtBox[
      RowBox[{
       FractionBox["1", "T"], "2", 
       RowBox[{
        RowBox[{"aI", "[", 
         RowBox[{"2", ",", "0"}], "]"}], "[", 
        RowBox[{"0", ",", "T"}], "]"}]}]], "//", "FullSimplify"}], "//", 
    "Evaluate"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]bar", "[", "0", "]"}], "[", 
    RowBox[{
    "T_", ",", "S0_", ",", "K_", ",", "r_", ",", "\[Delta]_", ",", "R_", ",", 
     "L_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
      RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "\[Rule]", 
        RowBox[{"Log", "[", "S0", "]"}]}], ",", 
       RowBox[{"k", "\[Rule]", 
        RowBox[{"Log", "[", "K", "]"}]}]}], "}"}]}], "//", "Evaluate"}]}], 
  ";"}], "\n", 
 RowBox[{"For", "[", " ", 
  RowBox[{
   RowBox[{"n", "=", "1"}], ",", 
   RowBox[{"n", "\[LessEqual]", "3"}], ",", 
   RowBox[{"n", "++"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Sigma]", "[", "n", "]"}], "[", 
      RowBox[{"T_", ",", "x_", ",", "k_", ",", "y_", ",", "r_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{
        FractionBox["1", 
         RowBox[{"T", " ", 
          RowBox[{
           RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
           RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}]}]], 
        RowBox[{"(", 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"h", "=", "1"}], "n"], 
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"i", "=", "0"}], 
            RowBox[{
             RowBox[{
              RowBox[{"dimFIV", "[", 
               RowBox[{"n", ",", "h"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]], 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox[
               RowBox[{"-", "1"}], 
               RowBox[{
                RowBox[{
                 RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
                 RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], 
                SqrtBox[
                 RowBox[{"2", " ", "T"}]]}]], ")"}], "i"], 
            RowBox[{"HermiteH", "[", 
             RowBox[{"i", ",", 
              FractionBox[
               RowBox[{"x", "+", 
                RowBox[{"r", " ", "T"}], "-", "k", "-", 
                RowBox[{
                 FractionBox["1", "2"], 
                 SuperscriptBox[
                  RowBox[{
                   RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
                   RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], 
                   "]"}], "2"], "T"}]}], 
               RowBox[{
                RowBox[{
                 RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
                 RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], 
                SqrtBox[
                 RowBox[{"2", " ", "T"}]]}]]}], "]"}], 
            RowBox[{
             RowBox[{
              RowBox[{"FIV", "[", 
               RowBox[{"n", ",", "h"}], "]"}], "[", "T", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", "1", ",", "1"}], "]"}], 
             "]"}]}]}]}], ")"}]}], "-", 
       RowBox[{
        FractionBox["1", 
         RowBox[{"n", "!"}]], 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"h", "=", "2"}], "n"], 
         RowBox[{
          RowBox[{"BellY", "[", 
           RowBox[{"n", ",", "h", ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"mm", "!"}], 
               RowBox[{
                RowBox[{"\[Sigma]", "[", "mm", "]"}], "[", 
                RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], 
                "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"mm", ",", 
                RowBox[{"n", "-", "h", "+", "1"}]}], "}"}]}], "]"}]}], "]"}], 
          
          RowBox[{
           RowBox[{"uBS\[Sigma]", "[", "h", "]"}], "[", 
           RowBox[{"T", ",", "x", ",", "k", ",", 
            RowBox[{
             RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
             RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], 
            ",", "r"}], "]"}]}]}]}]}], "//", "Evaluate"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Sigma]bar", "[", "n", "]"}], "[", 
      RowBox[{
      "T_", ",", "S0_", ",", "K_", ",", "r_", ",", "\[Delta]_", ",", "R_", 
       ",", "L_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"\[Sigma]", "[", "0", "]"}], "[", 
         RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}], "+", 
        RowBox[{
         UnderoverscriptBox["\[Sum]", 
          RowBox[{"j", "=", "1"}], "n"], 
         RowBox[{
          RowBox[{"\[Sigma]", "[", "j", "]"}], "[", 
          RowBox[{"T", ",", "x", ",", "k", ",", "y", ",", "r"}], "]"}]}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "\[Rule]", 
          RowBox[{"Log", "[", "S0", "]"}]}], ",", 
         RowBox[{"k", "\[Rule]", 
          RowBox[{"Log", "[", "K", "]"}]}]}], "}"}]}], "//", "Evaluate"}]}], 
    ";"}]}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.598691989455195*^9, 3.5986953620426273`*^9, 3.598696655124875*^9, 
   3.598697015693552*^9, 3.598697925492749*^9, 3.598697956680724*^9, {
   3.5989827728839207`*^9, 3.598982773996007*^9}, {3.598984141054937*^9, 
   3.5989842117381153`*^9}, {3.598984328430603*^9, 3.598984386492887*^9}, {
   3.598984468909821*^9, 3.598984489403379*^9}, 3.5989849038673477`*^9, {
   3.598990603317453*^9, 3.598990691776987*^9}, {3.598990774367199*^9, 
   3.598990777125066*^9}, {3.598991850196443*^9, 3.5989918532609177`*^9}, {
   3.598992009458397*^9, 3.5989920121607428`*^9}, 3.5989946387948437`*^9, {
   3.598994729262558*^9, 3.5989947299578247`*^9}, {3.5989947639328613`*^9, 
   3.598994766068514*^9}, {3.5989969208210487`*^9, 3.59899700563675*^9}, {
   3.599000832945959*^9, 3.599000833132866*^9}, 3.599000942805632*^9, {
   3.5990010289942513`*^9, 3.599001029449898*^9}, {3.599001067888317*^9, 
   3.599001070921986*^9}, 3.599045042774048*^9, 3.599066318247109*^9, 
   3.5995673999433937`*^9, {3.599567547905315*^9, 3.599567579780888*^9}, {
   3.599571987897265*^9, 3.599571988977839*^9}, 3.599572044926639*^9, {
   3.599572597475325*^9, 3.599572606896727*^9}, {3.5995732926543293`*^9, 
   3.599573323590609*^9}, {3.5995736484401913`*^9, 3.599573655595448*^9}, {
   3.599573689680131*^9, 3.599573689998679*^9}, {3.599573723420217*^9, 
   3.5995737548972692`*^9}, {3.599574349145996*^9, 3.599574403392612*^9}, {
   3.59957702493897*^9, 3.599577098077257*^9}, {3.59957988568289*^9, 
   3.599579892355043*^9}, {3.5996442989827747`*^9, 3.599644303150548*^9}, {
   3.599644594782384*^9, 3.5996446051053333`*^9}, {3.5996447452723017`*^9, 
   3.5996447526820297`*^9}, {3.599645192848803*^9, 3.599645369213702*^9}, 
   3.599646459626133*^9, {3.599646760265254*^9, 3.599646817171063*^9}, {
   3.599647579756715*^9, 3.599647595220825*^9}, {3.5996906661050377`*^9, 
   3.59969067353836*^9}, {3.5997426051296597`*^9, 3.59974264452372*^9}},
 Background->RGBColor[0.870267795834287, 1., 0.9897611963073167]],

Cell[TextData[{
 "Define the exact call option price and the implied volatility (via B&S \
inversion) for the comparison: (",
 StyleBox["ONLY FOR r=0",
  FontVariations->{"Underline"->True}],
 ")"
}], "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}, {
   3.5995717394421453`*^9, 3.599571780029361*^9}, {3.599571861095284*^9, 
   3.5995719616486473`*^9}, {3.599575770106182*^9, 3.599575770445821*^9}, {
   3.599764966782284*^9, 3.599764980127448*^9}, {3.599765131147716*^9, 
   3.599765133293295*^9}, {3.599913866473818*^9, 3.599913875520814*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Clear", "[", 
    RowBox[{"T", ",", "S0", ",", "r", ",", "\[Delta]", ",", "R", ",", "L"}], 
    "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Call", " ", "price", " ", "as", " ", "a", " ", "function", " ", "of", 
     " ", "log"}], "-", 
    RowBox[{"price", " ", "and", " ", "log"}], "-", "strike"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalPhi]", "[", "z_", "]"}], ":=", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"NumericQ", "[", "z", "]"}], "&&", 
       RowBox[{"z", "<", "0"}]}], ",", 
      RowBox[{"Erfc", "[", 
       RowBox[{
        RowBox[{"-", "z"}], "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}], ",", 
      RowBox[{"1", "+", 
       RowBox[{"Erf", "[", 
        RowBox[{"z", "/", 
         RowBox[{"Sqrt", "[", "2", "]"}]}], "]"}]}]}], "]"}], "/", "2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"CallLog", "[", "Quad", "]"}], "[", 
     RowBox[{
     "x_", ",", "k_", ",", "t_", ",", "R_", ",", "L_", ",", "\[Delta]_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "S1", ",", "S2", ",", "K1", ",", "K2", ",", "d11", ",", "d12", ",", 
        "d21", ",", "d22", ",", "price"}], "}"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{
       RowBox[{"K1", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "L", "]"}], "-", 
            RowBox[{"Exp", "[", "k", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "R", "]"}], "-", 
            RowBox[{"Exp", "[", "x", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"Exp", "[", "R", "]"}], "-", 
          RowBox[{"Exp", "[", "L", "]"}]}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"K2", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "R", "]"}], "-", 
            RowBox[{"Exp", "[", "k", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "R", "]"}], "-", 
            RowBox[{"Exp", "[", "x", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"Exp", "[", "R", "]"}], "-", 
          RowBox[{"Exp", "[", "L", "]"}]}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"S1", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "L", "]"}], "-", 
            RowBox[{"Exp", "[", "x", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "R", "]"}], "-", 
            RowBox[{"Exp", "[", "k", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"Exp", "[", "R", "]"}], "-", 
          RowBox[{"Exp", "[", "L", "]"}]}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"S2", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "L", "]"}], "-", 
            RowBox[{"Exp", "[", "x", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Exp", "[", "L", "]"}], "-", 
            RowBox[{"Exp", "[", "k", "]"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"Exp", "[", "R", "]"}], "-", 
          RowBox[{"Exp", "[", "L", "]"}]}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"d11", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"S1", "/", "K1"}], "]"}], "+", 
           RowBox[{
            RowBox[{"\[Delta]", "^", "2"}], 
            RowBox[{"t", "/", "2"}]}]}], ")"}], "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"\[Delta]", "^", "2"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"d12", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"S2", "/", "K2"}], "]"}], "+", 
           RowBox[{
            RowBox[{"\[Delta]", "^", "2"}], 
            RowBox[{"t", "/", "2"}]}]}], ")"}], "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"\[Delta]", "^", "2"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"d21", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"S1", "/", "K1"}], "]"}], "-", 
           RowBox[{
            RowBox[{"\[Delta]", "^", "2"}], 
            RowBox[{"t", "/", "2"}]}]}], ")"}], "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"\[Delta]", "^", "2"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"d22", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"S2", "/", "K2"}], "]"}], "-", 
           RowBox[{
            RowBox[{"\[Delta]", "^", "2"}], 
            RowBox[{"t", "/", "2"}]}]}], ")"}], "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{
           RowBox[{"\[Delta]", "^", "2"}], "t"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"price", "=", 
        RowBox[{
         RowBox[{"K1", " ", 
          RowBox[{"\[CapitalPhi]", "[", 
           RowBox[{"-", "d21"}], "]"}]}], "+", 
         RowBox[{"K2", " ", 
          RowBox[{"\[CapitalPhi]", "[", "d22", "]"}]}], "-", 
         RowBox[{"S1", " ", 
          RowBox[{"\[CapitalPhi]", "[", 
           RowBox[{"-", "d11"}], "]"}]}], "-", 
         RowBox[{"S2", " ", 
          RowBox[{"\[CapitalPhi]", "[", "d12", "]"}]}]}]}], ";", 
       "\[IndentingNewLine]", "price"}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Call", " ", "price", " ", "as", " ", "a", " ", "function", " ", "of", " ",
     "price", " ", "and", " ", "strike"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Call", "[", "Quad", "]"}], "[", 
     RowBox[{
     "S0_", ",", "K_", ",", "t_", ",", "R_", ",", "L_", ",", "\[Delta]_"}], 
     "]"}], ":=", 
    RowBox[{
     RowBox[{"CallLog", "[", "Quad", "]"}], "[", 
     RowBox[{
      RowBox[{"Log", "[", "S0", "]"}], ",", 
      RowBox[{"Log", "[", "K", "]"}], ",", "t", ",", "R", ",", "L", ",", 
      "\[Delta]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Implied", " ", "volatility"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ImpVol", "[", 
    RowBox[{"CallPrice_", ",", " ", "S0_", ",", "K_", ",", "T_", ",", "r_"}], 
    "]"}], " ", ":=", " ", 
   RowBox[{"FinancialDerivative", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<European\>\"", ",", " ", "\"\<Call\>\""}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<StrikePrice\>\"", " ", "->", " ", "K"}], ",", " ", 
       RowBox[{"\"\<Expiration\>\"", " ", "->", " ", "T"}], ",", " ", 
       RowBox[{"\"\<Value\>\"", " ", "->", " ", "CallPrice"}]}], "}"}], ",", 
     "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<InterestRate\>\"", " ", "->", " ", "r"}], ",", " ", 
       RowBox[{"\"\<CurrentPrice\>\"", " ", "->", " ", "S0"}], ",", " ", 
       RowBox[{"\"\<Dividend\>\"", " ", "->", " ", "0"}]}], "}"}], ",", " ", 
     "\"\<ImpliedVolatility\>\""}], "]"}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Quadratic", " ", "Implied", " ", "Vol"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ImpVolQuad", "[", 
   RowBox[{
   "S0_", ",", "K_", ",", "T_", ",", "r_", ",", "\[Delta]_", ",", "R_", ",", 
    "L_"}], "]"}], ":=", 
  RowBox[{"ImpVol", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Call", "[", "Quad", "]"}], "[", 
     RowBox[{"S0", ",", "K", ",", "T", ",", "R", ",", "L", ",", "\[Delta]"}], 
     "]"}], ",", " ", "S0", ",", "K", ",", "T", ",", "r"}], "]"}]}]}], "Input",\

 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.598691989455195*^9, 3.5986953620426273`*^9, 3.598696655124875*^9, 
   3.598697015693552*^9, 3.598697925492749*^9, 3.598697956680724*^9, {
   3.5989827728839207`*^9, 3.598982773996007*^9}, {3.598984141054937*^9, 
   3.5989842117381153`*^9}, {3.598984328430603*^9, 3.598984386492887*^9}, {
   3.598984468909821*^9, 3.598984489403379*^9}, 3.5989849038673477`*^9, {
   3.598990603317453*^9, 3.598990691776987*^9}, {3.598990774367199*^9, 
   3.598990777125066*^9}, {3.598991850196443*^9, 3.5989918532609177`*^9}, {
   3.598992009458397*^9, 3.5989920121607428`*^9}, 3.5989946387948437`*^9, {
   3.598994729262558*^9, 3.5989947299578247`*^9}, {3.5989947639328613`*^9, 
   3.598994766068514*^9}, {3.5989969208210487`*^9, 3.59899700563675*^9}, {
   3.599000832945959*^9, 3.599000833132866*^9}, 3.599000942805632*^9, {
   3.5990010289942513`*^9, 3.599001029449898*^9}, {3.599001067888317*^9, 
   3.599001070921986*^9}, 3.599045042774048*^9, 3.599066318247109*^9, 
   3.5995673999433937`*^9, {3.599567547905315*^9, 3.599567579780888*^9}, {
   3.599571987897265*^9, 3.599571988977839*^9}, {3.599572613434569*^9, 
   3.5995726428661613`*^9}, 3.5995745710481853`*^9, {3.599579897320693*^9, 
   3.5995799014539013`*^9}, {3.599646401118684*^9, 3.599646450982771*^9}, {
   3.599646522183194*^9, 3.599646556733533*^9}, {3.59964842587702*^9, 
   3.599648434327918*^9}, 3.599648694143137*^9, {3.599648881583283*^9, 
   3.599648885519655*^9}, 3.5997428645074883`*^9, {3.59974328328091*^9, 
   3.5997434061490717`*^9}, {3.599765032366541*^9, 3.5997650338394117`*^9}},
 Background->RGBColor[0.870267795834287, 1., 0.9897611963073167]],

Cell[TextData[{
 "Test: (exact price available ",
 StyleBox["ONLY FOR r=0",
  FontVariations->{"Underline"->True}],
 ")"
}], "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}, {
   3.5995717394421453`*^9, 3.599571780029361*^9}, {3.599571861095284*^9, 
   3.5995719616486473`*^9}, {3.599572470029501*^9, 3.599572470582589*^9}, {
   3.599913880829184*^9, 3.599913902079708*^9}, {3.599913941659403*^9, 
   3.59991395648096*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"--", 
     RowBox[{"--", "Quadratic"}]}], " ", 
    RowBox[{
     RowBox[{"parameters", "--"}], "--"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Delta]", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R", "=", "15.0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "2.0"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"S0", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T", "=", "4"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"r", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Kmin", "=", 
     RowBox[{"S0", "-", 
      RowBox[{"0.25", " ", 
       SuperscriptBox["T", 
        RowBox[{"1", "/", "2"}]]}]}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Kmax", "=", 
     RowBox[{"S0", "+", 
      RowBox[{"0.25", " ", 
       SuperscriptBox["T", 
        RowBox[{"1", "/", "2"}]]}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IVmin", "=", 
     RowBox[{
      RowBox[{"ImpVolQuad", "[", 
       RowBox[{
       "S0", ",", "Kmax", ",", "T", ",", "r", ",", "\[Delta]", ",", "R", ",", 
        "L"}], "]"}], "-", "0.01"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"Style", "[", 
     RowBox[{
     "\"\<Implied Vol: Exact (solid) vs our new code 2nd (Red) vs our new \
code 3rd (Green)\>\"", ",", "16", ",", "Blue", ",", "Bold"}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Sigma]bar", "[", "2", "]"}], "[", 
        RowBox[{
        "T", ",", "S0", ",", "K", ",", "r", ",", "\[Delta]", ",", "R", ",", 
         "L"}], "]"}], ",", 
       RowBox[{
        RowBox[{"\[Sigma]bar", "[", "3", "]"}], "[", 
        RowBox[{
        "T", ",", "S0", ",", "K", ",", "r", ",", "\[Delta]", ",", "R", ",", 
         "L"}], "]"}], ",", 
       RowBox[{"ImpVolQuad", "[", 
        RowBox[{
        "S0", ",", "K", ",", "T", ",", "r", ",", "\[Delta]", ",", "R", ",", 
         "L"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"K", ",", "Kmin", ",", "Kmax"}], "}"}], ",", 
     RowBox[{"PlotStyle", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Red", ",", "Dashed"}], "}"}], ",", 
        RowBox[{"{", "Green", "}"}], ",", "Black"}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Kmin", ",", 
        RowBox[{"IVmin", "-", "0.03"}]}], "}"}]}]}], "]"}]}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.598691989455195*^9, 3.5986953620426273`*^9, 3.598696655124875*^9, 
   3.598697015693552*^9, 3.598697925492749*^9, 3.598697956680724*^9, {
   3.5989827728839207`*^9, 3.598982773996007*^9}, {3.598984141054937*^9, 
   3.5989842117381153`*^9}, {3.598984328430603*^9, 3.598984386492887*^9}, {
   3.598984468909821*^9, 3.598984489403379*^9}, 3.5989849038673477`*^9, {
   3.598990603317453*^9, 3.598990691776987*^9}, {3.598990774367199*^9, 
   3.598990777125066*^9}, {3.598991850196443*^9, 3.5989918532609177`*^9}, {
   3.598992009458397*^9, 3.5989920121607428`*^9}, 3.5989946387948437`*^9, {
   3.598994729262558*^9, 3.5989947299578247`*^9}, {3.5989947639328613`*^9, 
   3.598994766068514*^9}, {3.5989969208210487`*^9, 3.59899700563675*^9}, {
   3.599000832945959*^9, 3.599000833132866*^9}, 3.599000942805632*^9, {
   3.5990010289942513`*^9, 3.599001029449898*^9}, {3.599001067888317*^9, 
   3.599001070921986*^9}, 3.599045042774048*^9, 3.599066318247109*^9, 
   3.5995673999433937`*^9, {3.599567547905315*^9, 3.599567579780888*^9}, {
   3.599571987897265*^9, 3.599571988977839*^9}, {3.599572613434569*^9, 
   3.5995726428661613`*^9}, 3.5995745710481853`*^9, {3.599579897320693*^9, 
   3.5995799014539013`*^9}, 3.5995800475001183`*^9, {3.5995803649031897`*^9, 
   3.599580409592898*^9}, {3.599647070705802*^9, 3.59964716438761*^9}, {
   3.599647713315249*^9, 3.599647751728104*^9}, {3.599647871668807*^9, 
   3.59964794464587*^9}, {3.599648856309588*^9, 3.599648856983124*^9}, {
   3.59964890603701*^9, 3.5996489234726152`*^9}, 3.599648997453302*^9, {
   3.599649050969625*^9, 3.5996490650978127`*^9}, {3.599649506419194*^9, 
   3.599649538062111*^9}, 3.599649591436623*^9, {3.599649837639327*^9, 
   3.599649870503463*^9}, 3.5996499048547564`*^9, {3.5996499687491007`*^9, 
   3.5996499710760717`*^9}, 3.599742705911384*^9, {3.5997428814639263`*^9, 
   3.599742913317222*^9}, {3.599743162392598*^9, 3.5997432210873613`*^9}, {
   3.5997434506685543`*^9, 3.599743464678211*^9}, {3.599743946713801*^9, 
   3.5997439472092648`*^9}, {3.599765138833535*^9, 3.599765142686504*^9}, {
   3.599914007614532*^9, 3.599914041076441*^9}},
 Background->RGBColor[0.870267795834287, 1., 0.9897611963073167]],

Cell[BoxData[
 StyleBox["\<\"Implied Vol: Exact (solid) vs our new code 2nd (Red) vs our \
new code 3rd (Green)\"\>",
  StripOnInput->False,
  LineColor->RGBColor[0, 0, 1],
  FrontFaceColor->RGBColor[0, 0, 1],
  BackFaceColor->RGBColor[0, 0, 1],
  GraphicsColor->RGBColor[0, 0, 1],
  FontSize->16,
  FontWeight->Bold,
  FontColor->RGBColor[0, 0, 1]]], "Print",
 CellChangeTimes->{
  3.599580055316103*^9, 3.599647676217155*^9, 3.599647722472166*^9, 
   3.599647754841735*^9, {3.599647882766796*^9, 3.599647945533257*^9}, 
   3.599648858179399*^9, 3.5996488901201572`*^9, 3.5996489250088053`*^9, 
   3.5996489978921556`*^9, {3.599649051174417*^9, 3.599649065343054*^9}, {
   3.599649519756646*^9, 3.599649538266728*^9}, 3.5996495916539392`*^9, {
   3.599649837863709*^9, 3.5996498713541527`*^9}, 3.599649906167851*^9, 
   3.599649971306261*^9, 3.5997429172564774`*^9, {3.599743164370158*^9, 
   3.59974317135144*^9}, {3.59974320149623*^9, 3.5997432213336983`*^9}, 
   3.599743465344161*^9, 3.599743589184855*^9, 3.599743948030702*^9, 
   3.599765596007917*^9, 3.5998050219561443`*^9, {3.599914016920079*^9, 
   3.599914041289052*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVkHs0lAkchl2bmqaahLJbYbeZoxtTarugl8mOKOuyWbsTI4qitlnUZrOS
plKnIqUo7Umbo7ARilImaxMJ882FQaYdTYzLuIzLfKSys3/8znue8z7vPz/b
ML5/uJGBgYG3/v7PSOUY1cBACbdFF26rKhTYZjzoJDBSwtU0iCx4rIAdU31w
hqkS+avsnx4uU6D7QFsTjarEo6XsC5QSBfaSlZetzJWwDJjtuzZPgd1zk79w
tFNCsu5Xl5sZCvzgbLUiwleJwhpKYdVhBdwzXTwbspWo+9Z6gTtLgWsWH6jW
Pp14wBCpl97ugNa67sh7bSeyfnySkG3bAUb9koS4tHcwfhXoT+a9gWiTmnJl
iwrslPOdRavfQPBNtZONUoXldY3JAmE7Cifoo46p72GkpAq7vdpRzFVzLJ26
oIqvdZlStEHoKdp64E0XYuxPfu/4exvcPq94wTnXjT1Zz6/TLdvQhMyB9JVq
+HVvt2VUtGKd7cXS4no1zCTnXszZ0wp63fjHnUd7QHvp5i2ktEI3xR+KWtSL
ypDFiUGP5PAfDw6n1PbiDE9zZpwnR3KK9GhMTB9ijnkUqWlyvHzIdfQ164e9
xEReXt2C+OyAmIfP+0H/+HdKweEWbLYK454P1aBxIjRjcnUL+IHvanroA3gr
5zOuq5qRsL6v0bxyADa2HT+X32zG1WzjxNLgQaQV+U3uD2rG1+JLpa2zh8C6
HLUgfVEznqY4pP1SOISnBfOeDLfLYKHLP93PHEZ6uSaFki3DWUqcSVjCMJh7
lSeFoTKc+LdRPr9pGOIdi93Nl8uw7oZCc4qhxZUIO6XDgBSyZWt8Q+K1YDqY
mChKpZg8Mmdm7GstcnSFD+4lStGWd8fQ66sR0FTJn4K3SbElp9qHGzuCpKPe
pNZCitRDDI24egQ53D9ZGV0SZH3JrqdZjeKUoDLCo0SCVanqjyciR+Hf0HUw
ViBBXBcn+nHVKCh2HmSdnwSeRg6bl5uNIXJl34J9yySgDHH9DMPG4GPaN180
IcYJoWv+zcdj2LXrLv94vRjHdxYFRs8ah5VvkpaRLcaGRjlnVug47AfWZjjE
itFh4X5qZrm+p/1WMeIhxgzGJks3ig5lYxE7wm3E6Lfs6XXm6TAgYzoE6AgE
iKzNYop0SBUkSEQiAn8FZp2dO63Da0cZtyKfgLCacD0UQCK2fpDjJND7Yyne
lFwS1tF2LFoIgeomNot/l8TOqxnzDvIIsPJ0ZvJ7JMj5F6ZeBxOg8XituQUk
UqM+T5wPIvCidvUeTrF+b9p+jsYlsDarIe70MxL7vCYN6QEE6GxqjrGUhPvo
dleb7QSOLxaeOSAj4f9qzf0kLwIaXXSktJlEi9t+psqTQF1Bm/2dVhIhmVUu
udsIJFrkPWG/JVEWop1exSEw2OMhSuol8VN8D+HsRiDon6ni3j4SUpWF0S1X
AvV/FKX7aUhoqMdgqOdc/4Vc2yESFUzl25otBIKfdb+vGiOhuK0r8nHW+9du
1NrpSPhQ77NLnAhsjP4u/xKp94Mudprr2ZxZxt/9Qe9za7a2byJw0iDKv26K
BK3ZiuKi5+H2JetZn0gsaUlrubWRAO+ReGHmZxLUlytLjPTckHr6w/S0/j9z
uq+HbyDwH0jGcvo=
     "]]}, 
   {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwVyn0w1HkAx3HReS5LEaWhWOFSSnpAPh6aVc0omVYzW4ktTR7Oni2XO+Mh
D11NF+qqk/RwI5Wt09HjXeW0PZBj/XYXu57WJvbBbh7Xfovi9v74zGdeM+9l
bE50grGRkVGkYf9/olxnaWQkR3qDzM+eJsNWk+HAfGM5bDW0qHfzZPD0UKaY
fiPH4MEFsiwrGRTJnQJrSznYv2h3qExlOERenHdaKEdRNi+H/7UXcfN/Xuzn
KYf6UtL0GU0vYoKcvA9HybE3+FwUt6EXW0o3b2u+IYc+8EV0QW4vLtlPWbrs
fI9FNisdw7Q9GHNpTB8Ye4/lwy0Ofkd6QG9ampVxrh+7X9XvC9Z2o3WT0uzX
4A9gJW8vy0ruRv56fqCr/AMuUxZJkZ+6UP2JNuFXPIDxldzZnNwu1LCUDIfA
QTgfYVtfs+lC3bbW8OTuQVznmXaF8zoROuP9mnFagbPV673YIZ0QoPTjhW+V
UKy9KF/wXop1y84+qGlSgqlo+uPVSSlojZNfdh9XwTIxN8XGUwr9NGckyVGN
3OlJ0zKRBNGT+xPMGtRoMSbjugwJfi4SH+dyhxAXanVH4CbB24csvyg7DSIk
gdWCjg5k3mByH/6jwWRPp6ixsAMBTmzWmXgtZpe/Y8YHdYCzp/+NivYRtO/W
hLuNtCPLf6hl4YuPoNttTsirbMfFGyY5D/YPI6U2PrOW3Q43YckDqdUIrGxv
evg7t+NZ0epz31ePoGwqUufW0wZ7Pa9Q4zGKJV/XrRq81oZTZhlz2VmjiF+R
yXONbUNuX4vEVjCKw5qHw75ubVhX1qstoI/BWLAhun9AjDb3NVEHMsegIiXu
QVVifE6fZ3703zEcYvhkKrhidFZVzNm+fByBR33fxGwSI/gmfyfr6DjePg55
3j5XjOJUulbIHweviyPLEIlwZUlYk7XTBNLN7+yce1WElcXKL7mJE+hSnyjY
mCJCxiAj7Wn9BLSuysxjG0XYZrw6wMtOB2lSc4K7hQhmI6xdc9g6HOh9qazu
FiK3LoRX/lSHdxWlwwfuCpG9+/6eNItJLKCHmKzNEWJDi4RhET+JcK73GkaU
ED32WwrMn0xCHlpv6+4mhCl9k0OomR6KM/F20s8UNA4qdVCsHseT4n2GWigw
W13suPf1SMsLKL9XSeHeniun5s/q8Tt3RqHNplDHp0JSmQQFlzvcKpmGXlcU
aXaLQK52WSFcTYEvCPPl3Caga1L/9jLYt0pvJ7lD8MinkpW3ioJ1bKz01l2C
Hy7Xv/TzofC6wecgo4ZgHy3f+zdvCmuvNGcUPicIfvzkUBydAi3M8qaJmKCf
P8X5sphCtnPdyeQ2ggt9A+UxBmv1aYnidoLUsZyOP50oNN7tXFUhJbgewuck
OFLIsa/6K0xGIKzdGtBqT2FYFdF6Qk3g7Kr0qaRR2PdqukY9RNDn4kg3Mrjp
6v0Lu7QE5xP7PPfaULgVvYi1bITAOtA7xnY+hf3PFQP1OoJjp/Misq0M/aWy
Bk89wbPTGyo6LSlsTNvBKyEEJeXpVv4GL/R4zImbItAePDlHa04hzygpunGa
IEHALI4weLRrqb/vVwLPJ7e9KswoxD4SLiqdIVD9+BM1Y0qhubhwanaWoJbb
nM8y+D+L/3Fi
     "]]}, 
   {GrayLevel[0], LineBox[CompressedData["
1:eJwVyn000wsAxvGhYnI7cjYvRbKS0QuibuXlEaV0UnK4laTi9koxKnoR5SW3
bq3uTTnJPTtxFRVplXVFUrIjL7/ZvMxmTcXM+9j2u1Hc3T+e85zPOV+7yNjg
g/oUCiVQt///qFxtTKHIwZsb8deHKzJsNhj2SNOXI7AsznVrlgzMJYqYWTPl
mPKlbWnJkKE3WtxkYizHyfiA2fJUGX4lK/+woslhxzTl6yXKsH/O5XluTDk8
M9MpEVEy/OJp5XQoSA6bil6bJE8ZNuR4BTRw5MhjSbuZo124TZ8wtt3ejQ6j
H5YOO7qgsuWf+qrqxgn9Z8G091LY19skJ938jMmza6IZPlI0r1UY/un9BSl6
V2rY5RKkra7xWCj/Agfvkkm+lwQl/5qOu7G/gm8Syct604myMIW/uUcPqqxV
l8Y2d6IqoNkvWtKDN5RXRnUyMdZPOb33/60X8bd6y53ixGhCztCtpQpwbGrJ
LhMx3O2uccvqFQihiqjTJR0w5Wu+hyT2oeEiW/txawe0k7EjxyyVUD8Wn45S
tyNYs/egYZ0S+QskDMmddly+LkyMj+9HtslTP6ZPOz48D3MLMhtAjvtYuIGq
Dec4ofHP3wxgvjrhn568Nqyzigy7emAQd8qlaZXBbYjd+bm2z3QIQcH7MhsM
2pC8qr+RVjmEQ/3uQU95rcjmGKRw9w5j13cu5++TrVgkuMHtmD0CTeMc/4ll
rai47nwzrmQErscTLVQDItC1xRkDS0ax1C6bI30iQpZh0ozI5FFIqPcrtsWI
kPqpsX1u0ygmmj6lVLqI4H63azDdXoX8/iesTpUQosWuQfvOqXDE4mZkxQsh
vp36ySjhowrIO36emiKEuChfbwtjDPGSnlinjUJ4F9RsD0sYA/e5MJRlKgT7
hP2goGYMDA7fbqirBbnzfetNrMZBb4yxjnjYgmVsxffUo+MoLM+pvJzYgqQe
fxavehzs1V5nPvi1IEDfeZ2jmRrWh4/tzqC1wHAkbIdepBrVxUc2OioESK3y
Kb7HU8M4ZjdFr1yACyGlO1lUDQot6rspVwX4ubHdn3pAg7eUouNB4QJI6RvS
jco1GJZFPWE5CzDLfq35ekMtHN309WNmCTBg3qf0jNDCyNfoi6CTQGizrVl8
qRY+i5dRlc8IPN6ZmzVnWovMl5ofF38nUFVD+JwIJaHMfuHOidL16uuBhoUk
NjHYe1y8CdQ0+brEPiBRzAjkXfEi4FKkNWt/SOIUbQujx5OASURER+EjEqWH
v9nc9SDwvm55lH8ZieULJ7gz1hJYmduQlPGaROADxS6pGwFTX+MCAyEJ3vmC
M9mOBC5YV2VGi0hUVD07q2ISGNSyjgpbScxNrs0K1Jn/SLwiv4OE2xrVx5kO
BFLoRa98ZSTivJyHTy8mMNy3qfmikoQshMvZY0sg/N1kmbKfRHWpK4u3gEB9
XumtHYMkVrbe2UbXuTDYIsxuhET2PppLszWBva97v1arSSQU3LvmN0/X375b
x9SSSEtzqOVYEVjD2lZ8gyTxTnOVOmVJgLbkZez+CRKSC508ngWBS5RjwfxJ
EpOz3y4y13m002aVyw8SvZZncxPMCUS8EFjkTJF42W2wUEAn0MDOmJieJlF/
P7xshc7/ASdJcpY=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0.5, 0.21129286841456948`},
  Method->{},
  PlotRange->{{0.5, 1.5}, {0.21129286841456948`, 0.4772202059323507}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.5995800576063957`*^9, {3.599647699266149*^9, 3.599647728348456*^9}, 
   3.599647760943193*^9, {3.599647883852569*^9, 3.5996479468932467`*^9}, 
   3.599648858378107*^9, 3.5996488913927507`*^9, 3.5996489270972757`*^9, 
   3.599648999787015*^9, {3.599649053260496*^9, 3.599649067599744*^9}, {
   3.599649521930285*^9, 3.599649540678393*^9}, 3.599649593826473*^9, {
   3.5996498401886263`*^9, 3.599649873683529*^9}, 3.599649908289255*^9, 
   3.5996499735020847`*^9, 3.59974291821491*^9, {3.5997431660078573`*^9, 
   3.599743172179904*^9}, {3.599743202368833*^9, 3.5997432222759438`*^9}, 
   3.5997434661772547`*^9, 3.599743590098386*^9, 3.5997439488886147`*^9, 
   3.599765596823876*^9, 3.5998050229231997`*^9, {3.5999140176469593`*^9, 
   3.599914041917656*^9}}]
}, Open  ]]
}, Open  ]],

Cell["\<\
Explicit expressions of the implied vol. expansion:\
\>", "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5979581326845427`*^9, 3.597958135776731*^9}, {
   3.597958203856258*^9, 3.5979582050665703`*^9}, {3.59796199720356*^9, 
   3.597961998920319*^9}, 3.5986968863608503`*^9, {3.598697015693664*^9, 
   3.598697021494788*^9}, {3.599571613259164*^9, 3.599571615867638*^9}, {
   3.5995717394421453`*^9, 3.599571780029361*^9}, {3.599571861095284*^9, 
   3.5995719616486473`*^9}, {3.599572470029501*^9, 3.599572470582589*^9}, {
   3.599579629345312*^9, 3.599579757268725*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"T", ",", "S0", ",", "r", ",", "\[Delta]", ",", "R", ",", "L"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]bar", "[", "0", "]"}], "[", 
   RowBox[{
   "T", ",", "S0", ",", "K", ",", "r", ",", "\[Delta]", ",", "R", ",", "L"}], 
   "]"}], "//", "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Sigma]bar", "[", "1", "]"}], "[", 
   RowBox[{
   "T", ",", "S0", ",", "K", ",", "r", ",", "\[Delta]", ",", "R", ",", "L"}], 
   "]"}], "//", "FullSimplify"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.598691989455195*^9, 3.5986953620426273`*^9, 3.598696655124875*^9, 
   3.598697015693552*^9, 3.598697925492749*^9, 3.598697956680724*^9, {
   3.5989827728839207`*^9, 3.598982773996007*^9}, {3.598984141054937*^9, 
   3.5989842117381153`*^9}, {3.598984328430603*^9, 3.598984386492887*^9}, {
   3.598984468909821*^9, 3.598984489403379*^9}, 3.5989849038673477`*^9, {
   3.598990603317453*^9, 3.598990691776987*^9}, {3.598990774367199*^9, 
   3.598990777125066*^9}, {3.598991850196443*^9, 3.5989918532609177`*^9}, {
   3.598992009458397*^9, 3.5989920121607428`*^9}, 3.5989946387948437`*^9, {
   3.598994729262558*^9, 3.5989947299578247`*^9}, {3.5989947639328613`*^9, 
   3.598994766068514*^9}, {3.5989969208210487`*^9, 3.59899700563675*^9}, {
   3.599000832945959*^9, 3.599000833132866*^9}, 3.599000942805632*^9, {
   3.5990010289942513`*^9, 3.599001029449898*^9}, {3.599001067888317*^9, 
   3.599001070921986*^9}, 3.599045042774048*^9, 3.599066318247109*^9, 
   3.5995673999433937`*^9, {3.599567547905315*^9, 3.599567579780888*^9}, {
   3.599571987897265*^9, 3.599571988977839*^9}, {3.599572613434569*^9, 
   3.5995726428661613`*^9}, 3.5995745710481853`*^9, {3.599579897320693*^9, 
   3.5995799014539013`*^9}, 3.5995800475001183`*^9, 3.599580084720087*^9, {
   3.5996472759375553`*^9, 3.599647303863413*^9}, {3.5996492071107883`*^9, 
   3.599649223589286*^9}, {3.5996497890550528`*^9, 3.599649789546336*^9}, {
   3.599743479047106*^9, 3.599743493261656*^9}, {3.59974356500928*^9, 
   3.599743570337707*^9}, {3.599805031981718*^9, 3.599805058005206*^9}, {
   3.5998053273776135`*^9, 3.5998053274836197`*^9}},
 Background->RGBColor[0.870267795834287, 1., 0.9897611963073167]],

Cell[BoxData[
 SqrtBox[
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "L"], "-", "S0"}], ")"}], "2"], " ", 
    
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "R"], "-", "S0"}], ")"}], "2"], " ", 
    
    SuperscriptBox["\[Delta]", "2"]}], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", "L"], "-", 
       SuperscriptBox["\[ExponentialE]", "R"]}], ")"}], "2"], " ", 
    SuperscriptBox["S0", "2"]}]]]], "Output",
 CellChangeTimes->{{3.59957772402394*^9, 3.5995777284103117`*^9}, 
   3.5995799245957747`*^9, {3.599579955759563*^9, 3.599579974414955*^9}, 
   3.59958001084453*^9, 3.599580086885993*^9, {3.5996491876557283`*^9, 
   3.5996492238224373`*^9}, {3.599649770241008*^9, 3.5996497908289957`*^9}, 
   3.5997434938200283`*^9, 3.599743576625697*^9, 3.599765596974925*^9, {
   3.5998050395421505`*^9, 3.599805058838254*^9}, 3.599805328448675*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[Delta]", "2"], " ", 
    SuperscriptBox[
     RowBox[{"Csch", "[", 
      FractionBox[
       RowBox[{"L", "-", "R"}], "2"], "]"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"Cosh", "[", 
        FractionBox[
         RowBox[{"L", "-", "R"}], "2"], "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"Cosh", "[", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"L", "+", "R", "-", 
           RowBox[{"2", " ", 
            RowBox[{"Log", "[", "S0", "]"}]}]}], ")"}]}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Log", "[", "K", "]"}], "-", 
         RowBox[{"Log", "[", "S0", "]"}]}], ")"}], " ", 
       RowBox[{"Sinh", "[", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"L", "+", "R", "-", 
           RowBox[{"2", " ", 
            RowBox[{"Log", "[", "S0", "]"}]}]}], ")"}]}], "]"}]}]}], ")"}], 
    " ", 
    RowBox[{"Sinh", "[", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"L", "-", 
        RowBox[{"Log", "[", "S0", "]"}]}], ")"}]}], "]"}], " ", 
    RowBox[{"Sinh", "[", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"R", "-", 
        RowBox[{"Log", "[", "S0", "]"}]}], ")"}]}], "]"}]}], 
   SqrtBox[
    FractionBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "L"], "-", "S0"}], ")"}], "2"], 
      " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "R"], "-", "S0"}], ")"}], "2"], 
      " ", 
      SuperscriptBox["\[Delta]", "2"]}], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "L"], "-", 
         SuperscriptBox["\[ExponentialE]", "R"]}], ")"}], "2"], " ", 
      SuperscriptBox["S0", "2"]}]]]]}]], "Output",
 CellChangeTimes->{{3.59957772402394*^9, 3.5995777284103117`*^9}, 
   3.5995799245957747`*^9, {3.599579955759563*^9, 3.599579974414955*^9}, 
   3.59958001084453*^9, 3.599580086885993*^9, {3.5996491876557283`*^9, 
   3.5996492238224373`*^9}, {3.599649770241008*^9, 3.5996497908289957`*^9}, 
   3.5997434938200283`*^9, 3.599743576625697*^9, 3.599765596974925*^9, {
   3.5998050395421505`*^9, 3.599805058838254*^9}, 3.599805328452675*^9}]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1440, 852},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1485, 35, 679, 11, 86, "Section",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[CellGroupData[{
Cell[2189, 50, 197, 4, 68, "Section"],
Cell[2389, 56, 1352, 26, 220, "Text"]
}, Open  ]],
Cell[3756, 85, 377, 5, 39, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[4136, 92, 3270, 80, 247, "DisplayFormula"],
Cell[7409, 174, 679, 11, 39, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[8091, 187, 10361, 267, 509, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[18455, 456, 855, 15, 35, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[19313, 473, 9671, 248, 541, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[28987, 723, 732, 14, 35, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[CellGroupData[{
Cell[29744, 741, 4941, 109, 287, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[34688, 852, 1133, 22, 25, "Print"],
Cell[35824, 876, 6343, 113, 272, "Output"]
}, Open  ]]
}, Open  ]],
Cell[42194, 993, 626, 10, 35, "Subsubsection",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[CellGroupData[{
Cell[42845, 1007, 2318, 40, 79, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[45166, 1049, 1035, 27, 70, "Output"],
Cell[46204, 1078, 2513, 74, 97, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature fvDPhQxEGvCPtA16BiGj4oFy *)
